5.14.1 (01.05.25)

- Fix launching on Windows 7.

5.14 (01.05.25)

- Secure Group Calls Made Easy.
- Automated Business Accounts.
- New Gifts Settings.

5.13.1 (26.03.25)

- Fix crash in group/channel stories.

5.13 (26.03.25)

- Allow transferring my unique gifts from Send Gift section.
- Edit type of gifts you accept in Settings > Privacy and Security.
- Swipe navigation using swipe gesture on touchpads / touchscreens.
- Choose chat list quick action for swipe or middle click.

5.12.6 beta (20.03.25)

- Allow customizing chats list swipe left action.
- Fix custom emoji in poll results view.
- Fix crash in main menu swipe closing.

5.12.5 beta (14.03.25)

- Support swipe navigation on touchscreens.
- Close main menu by swipe navigation.

5.12.4 beta (12.03.25)

- Touchpad swipe back to go back in navigation history.
- Touchpad swipe between folders if they're horizontal.
- Out-of-the-box monochrome tray icon on Linux.
- Icons telegram{,{,-attention,-mute}-panel} are renamed
to org.telegram.desktop{,{,-attention,-mute}-symbolic} for
unified icon lookup in multiple (sometimes sandboxed) builds
and GTK icon recolorization support.
- Snap package got icon theming support,
the icon names are snap.telegram-desktop.{,{,-attention,-mute}-symbolic}
(notice the name ends with a dot in case of no suffix!).

5.12.3 (10.03.25)

- Fix a couple more crashes.
- Fix gift disappearing on unpin.
- Fix country emoji for Fragment numbers.

5.12.2 (09.03.25)

- Fix some crashes.

5.12.1 (08.03.25)

- Fix a crash in some chat switchings.
- Fix crashes in empty repaint callbacks.

5.12 (07.03.25)

- Set a fee for incoming messages from unknown users.
- Set a fee for messages in groups or channel comments.
- Show some information about who's messaging you.
- Pin gifts on your profile.

5.11.1 (13.02.25)

- Fix arbitrary cropping support in the image editor.
- Fix crash on round video message playback.
- Fix complex custom keyboard shortcuts.

5.11 (12.02.25)

- Copy video links at current time.
- Set custom video covers when posting to channels.
- Send paid reactions from the name of your channels.

5.10.8 beta (12.02.25)

- Edit keyboard shortcuts in Settings > Chat Settings.
- Hide controls in calls with incoming video.
- Fix several crashes.

5.10.7 (27.01.25)

- Fix some phrases for collectible gifts.
- Fix freeze in sound reencoding on macOS and Linux.

5.10.6 (26.01.25)

- Fix crash in opening users gifts section.
- Fix unintended sound in reaction notifications.
- Fix disabling notifications sound on macOS and Linux.

5.10.5 (24.01.25)

- Count all unread topics as a single chat in archive unread counter.
- Fix common groups section in bots profiles.
- Fix crash on scheduling messages from Share box.
- Fix silent notifications on macOS.
- Add support for 'sound-file' notification hint on Linux.

5.10.4 (22.01.25)

- Add messages search in channel comments.
- Allow sending your unique gifts to blockchain.
- Add option for running in backround on Linux.
- Fix possible freeze on quit on macOS.

5.10.3 (09.01.25)

- Fix a crash in legacy group opening.

5.10.2 (07.01.25)

- Fix double verification badge in profiles.

5.10.1 (06.01.25)

- Show "Boost group the send messages" information.
- Fix several gifts bugs and glitches.
- Fix several crashes.

5.10 (02.01.25)

- Collectible Gifts.
- Reactions for Service Messages.
- Verification from Third Parties.
- Custom Emoji in Folder Names.

5.9.2 beta (24.12.24)

- Fix some jump-to-message highlightings.
- Fix some long round video messages sending.
- Fix possible crash in global photos / videos.
- Fix streaming starting for some large video files.
- Fix possible drop of top peers / recent chats cache.
- Fix possible crashes in audio on macOS (rollback OpenAL).

5.9.1 beta (18.12.24)

- Add global media overview tabs in chats search.
- Add main menu "My Profile" with my stories and gifts access.
- Highlight some of search query on result message open.
- Fix highlighting quotes from bottom parts of long messages.
- Allow forward and reply bars together.
- Make gift price categories scrollable.
- Auto-send deep-link /start in existing bot chats.

5.9 (04.12.24)

- Affiliate programs for bots.
- Add option to show folder tags in chats list.

5.8.5 beta (29.11.24)

- Fix pinned chats in folders.
- Fix emoji in folder tags.
- Fix several crashes.

5.8.4 beta (28.11.24)

- Add option to show folder tags in chats list.
- Count group with topics as one chat in folder unread counter.

5.8.3 (23.11.24)

- Ctrl+Click on Reply in groups to reply in another chat.
- Fix freeze on forward messages box opening.
- Improve phrases in bot subscriptions.
- Several bugfixes.

5.8.2 (19.11.24)

- Improve bottom label color in mini apps.
- Fix some fullscreen issues in mini apps.
- Fix miss-order of archived chats in forward box.
- Fix file dialog for Windows on ARM.
- Fix emoji status pack view from profile regression.

5.8.1 (17.11.24)

- Fix several possible crashes.

5.8 (17.11.24)

- Updates in Mini Apps platform.
- Chat folders in forward and share boxes.
- Horizontal strip mode for chat folders.

5.7.4 beta (15.11.24)

- Enable auto night mode by default.
- Use muted chats folder badge in horizontal strip.
- Fix custom userpic context menu in comments and topics.
- Fix scrolling of chats folders together with the list.
- Fix chats folders list disappearing in some cases.
- Fix topic groups in share box with chats folders.
- Fix bot commands list in some groups.
- Fix crash in channel short info box display.
- Fix crash in bot monetization section opening.
- Fix crash in bot sponsored messages destruction.

5.7.3 beta (13.11.24)

- Option to show folders above the chats list.
- Folders on top of recipients list box.

5.7.2 (05.11.24)

- Fix recompressed video playback cutoff.
- Fix video message recroding on macOS.

5.7.1 (01.11.24)

- Fix occasional redundant newlines before message timestamp.
- Remove playback speed change on settings button click.
- Fix video playback settings button on hidpi screens.
- Fix return from Picture-in-Picture to media viewer.
- Fix video quality auto-switching in Picture-in-Picture.
- Add message link to channel stars transaction information.
- Fix GIF playback in media viewer.
- Fix several possible crashes.

5.7 (31.10.24)

- Sending video messages.
- New video quality selection in channels.
- Adding media to sent text messages via Edit.
- Ads in bots with revenue sharing with bot developers.
- Chat-specific hashtags.

5.6.4 beta (24.10.24)

- Add recording of video messages in case a camera is available.
- Add "Respect the Focus settings" for custom notifications on Windows.

5.6.3 (15.10.24)

- Add ability to change page scale in Instant View pages.
- Fix unnecessary timestamp jump to a new line.
- Fix secondary button positioning in miniapps.
- Fix a crash in QR code copy for a chat without a photo.
- Fix a crash in share options menu showing.
- Fix a crash on monitor disconnect.

5.6.2 (14.10.24)

- Message selection marks.
- Better copy username / public link / ID menu in profiles.
- Keyboard navigation (Up/Down/PageUp/PageDown) in chat preview.
- Improved QR options for profile links.
- Fix calls color problems on Windows.
- Fix scroll problems on Linux.

5.6.1 (07.10.24)

- Fix media viewer sometimes blocking the app after launch.

5.6 (05.10.24)

- Gifts for Telegram Stars.
- Mention / hashtag autocomplete in media caption field.
- Resizing the window used for web apps and games.
- "Include muted chats in folder counters" notifications setting.
- Emoji from Unicode 15.1.

5.5.8 beta (03.10.24)

- Allow drag-to-scroll in reply quote edit box.
- Add bot verified badge to web app title.
- Fix crash when opening some channels.
- Fix some visual glitches.

5.5.7 beta (01.10.24)

- Add ability to share QR code of bots.
- Add mention/hashtag autocomplete to Saved GIF caption.
- Fixed display of working hours in profiles.
- Respect the maximum reply quote length.

5.5.6 beta (19.09.24)

- Allow resizing the window used for web apps and games.
- Add mention / hashtag autocomplete in media caption field.
- Add "Include muted chats in folder counters" notifications setting.
- Auto-select URL suggested from clipboard when creating a custom link.
- Update emoji to Unicode 15.1.
- Fix replying with a quote from media album caption.
- Fix viewing custom emoji packs from media album caption.

5.5.5 (13.09.24)

- Suggest URL from clipboard when creating a custom link.
- Fix animated topic icons in topic info page.
- Fix excessive getChannelDifference requests.

5.5.4 (12.09.24)

- Fix channel updates stopping after difference request failing.
- Add QR code generation for your username in Settings.
- Fix swipe-to-reply gestures stopping. (macOS)

5.5.3 (10.09.24)

- Fix custom emoji sending.
- Add mention link QR code sharing.
- Fix sending files from network drives. (Windows)

5.5.2 (09.09.24)

- Support two bottom buttons in web apps.
- Fix text layout outside of the message bubble glitch.
- Don't stop video when dragging media viewer in window mode.

5.5.1 (06.09.24)

- Fix crash in peer short info box.

5.5 (06.09.24)

- Star Giveaways.
- Swipe-to-Reply.
- Audio device selection in one-on-one calls.
- Text selection in collapsed / expanded quotes.

5.4.6 beta (04.09.24)

- Add Swipe-To-Reply for modern touchpads and touchscreens.
- Add text selection in collapsed and expanded blockquotes.
- Fix text rendering in 100% interface scale on Windows.

5.4.5 beta (31.08.24)

- Fix possible crash in text rendering.

5.4.4 beta (29.08.24)

- Fix wrong layout and crashes in text shaping.
- Fix crashes in voice / video messages playback.

5.4.3 beta (29.08.24)

- Fix working on Windows 7.

5.4.2 beta (28.08.24)

- Select audio devices from one-on-one call window.
- Bug fixes and other minor improvements.
- New text layout testing.

5.4.1 (17.08.24)

- Fix crash when sending Star Reaction in comments.
- Fix loading "Send As" channels in a channel.
- Place Star Reaction always first in list.
- Removed paid Invite Links in groups.

5.4 (14.08.24)

- Super Channels with post authors' profiles.
- Support favorite channels with Star Reactions.
- Channel Subscriptions with Stars monthly payments.

5.3.2 (02.08.24)

- Fix crash on launch in some Linux systems.

5.3.1 (01.08.24)

- Open normal links from tonsite-s in system browser.
- Fix unicode tonsite:// links.
- Fix crash on Linux X11.

5.3 (31.07.24)

- View recent and popular web apps in chats search.
- Open several web apps in different windows.
- Gift Telegram Stars to your friends.
- Send location marks and venues.
- Open tonsite:// links in webview.
- Edit order of stickers in your packs.

5.2.6 beta (29.07.24)

- Fix launching on X11. (Linux)

5.2.5 beta (27.07.24)

- Fix media viewer context menu.
- Fix blockquotes layout in messages.

5.2.4 beta (24.07.24)

- Allow opening several web apps.
- Send location marks and venues.

5.2.3 (07.07.24)

- Fix crash in bot star stats page.
- Bug fixes and other minor improvements.

5.2.2 (02.07.24)

- Fix topics search in topic groups.
- Fix Instant View pages content updating.

5.2.1 (01.07.24)

- Fix crash when opening topic in a new window.
- Fix crash in topic search scope dropdown.
- Fix crash in video player.
- Fix feeze and crash in Instant View (Windows).
- Allow unlock by Apple Watch or System Password (macOS).

5.2 (30.06.24)

- Pay for content with Telegram Stars.
- Enable local passcode unlock by Windows Hello and Touch ID.
- Allow opening forums, topics and archive in a separate window.

5.1.8 beta (15.06.24)

- Support nice blockquotes and code blocks edition when composing messages.
- Support collapsing blockquotes and specifying syntax highlight language.
- Support nice spoiler animation in the message composing input field.

5.1.7 (14.06.24)

- Fix recently searched hashtags in chats search.
- Fix formatting shortcuts on macOS.
- Fix non-Telegram-Stars-invoice bot buttons with star emoji.

5.1.6 (13.06.24)

- Fix search in archived chats in single-column layout.
- Improve chat previews for topics, Saved Messages and groups.
- Fix formatting shortcuts on Linux.
- Fix options for Telegram Stars buying in case of large amounts.

5.1.5 (07.06.24)

- Return WebView on Windows.

5.1.4 (06.06.24)

- Improve design of search in chat.
- Show vCard information for shared contacts.
- Allow scheduling media in topic groups.
- Several minor bugfixes.

5.1.3 (04.06.24)

- Rebuild version for macOS to fix the phrases.

5.1.2 (03.06.24)

- Several bugs fixed including a couple of crashes.

5.1.1 (01.06.24)

- Fix caption display on some media.
- Fix collapsed blockquotes rendering.
- Fully close search in chat by "Cancel" click.
- Allow editing caption placement and spoiler in topics.
- Disable effects on forwarded messages and inline results.

5.1 (31.05.24)

- Send messages with effects.
- Move photo or video captions above the media.
- Chat preview on chat photo long press or Alt+Click.

5.0.6 beta (30.05.24)

- Fix chat preview with non-default themes.
- Fix chat preview crash when scrolling up.
- Jump to chat from preview only by Double-Click.
- Show chat preview with Force Touch on macOS.

5.0.5 beta (28.05.24)

- Long press on chat userpic to show quick preview.
- Alt+Click on chat to show quick preview.
- Show author userpics in forwarded messages.

5.0.4 (28.05.24)

- Fix reply to last message by Ctrl+Up in topics.
- Some other bug fixes.

5.0.3 (28.05.24)

- Ctrl+Click on Reply in menu to Reply in another chat.
- Allow Zero-Width-Space character in text rendering.
- Fix creating custom links in the message field.
- Fix jump to the topic with last unread message.
- Fix newline entering via Shift+Enter on Linux.
- Fix forum search open by Ctrl+F.

5.0.2 (24.05.24)

- Toggle chats search focus by Tab key.
- Unfocus empty search by Backspace key.
- Add a spoiler to already sent media when editing.
- Forward by drag-n-drop to frequent contacts / recent searches.
- Allow wide chats list in empty window with narrow list when a chat is opened.
- Improve custom font support in the input fields.
- Fix input method typing from unfocused search.
- Fix possible media reordering on batch send.
- Fix crash in group emoji set saving.
- Fix possible hang on quit on macOS.

5.0.1 (04.05.24)

- Fix several crashes in new interfaces.
- Fix monospace font size.
- Fix possible problem with underline font size.

5.0 (02.05.24)

- Choose custom font family in Settings > Chat settings > Font family.
- Show "Frequent contacts" when you focus the search field.
- Show "Recent chats" when you focus the search field.
- Show "Channels" list and similar channels.
- Premium users can use animated emoji in polls.
- Group admins can mass-moderate many messages.
- Fix frequent crashes on some Linux systems.

4.16.10 beta (26.04.24)

- Group admins can mass-moderate many messages.
- Premium users can use animated emoji in polls.
- Revert the default "Open Sans" font to 1.10.
- Several crash fixes and small improvements.

4.16.9 beta (23.04.24)

- Show "Frequent contacts" when you focus the search field.
- Show "Recent chats" when you focus the search field.
- Show "Channels" and channel recommendations.
- Allow changing font in Settings > Chat settings > Font family.

4.16.8 (16.04.24)

- Fix in-app playing of some video and audio files.
- Fix crash on Linux opening chats with custom backgrounds.
- Fix crash on quit after using scheduled messages.

4.16.7 (15.04.24)

- Reimplement file open confirmations.

4.16.6 (09.04.24)

- Show custom emoji preview on long press.
- Fix resume chat bot button disappearance.
- Fix GIF files playback. (regression in 4.16.3.beta)

4.16.5 (08.04.24)

- Fix editing privacy for groups and channels invitations.
- Possible fix for the network unresponsiveness after sleep.
- Possible fix for wide range of memory allocator crashes on Linux.

4.16.4 (06.04.24)

- Bug fixes and other minor improvements.

4.16.3 beta (05.04.24)

- Improve media upload speed.
- Update FFmpeg to 6.1.1.

4.16.2 (04.04.24)

- Use IV by default for Telegraph and some Telegram links.
- Support IV links in bot web-apps.
- Some bug fixes.

4.16.1 (02.04.24)

- Show information about Fragment phone numbers and usernames.
- Fix jump to original story from a story repost.
- Fix old image display in viewer in some cases.
- Fix several crashes.

4.16 (01.04.24)

- Instant View on Windows 10+ and macOS.
- Allow scheduling messages in topics.
- Telegram Business: Links to Chats.
- Telegram Business: Custom Intro.
- Telegram Business: Chatbots.
- Sharing Revenue with Channel Owners.

4.15.7 beta (01.04.24)

- Test crashfix on Linux.

4.15.6 beta (25.03.24)

- Save the Instant View window geometry.
- Fix jump to anchors with accents in the Instant View.
- Fix possible crash in the ElasticScroll destructor.

4.15.5 beta (16.03.24)

- Fix a crash in Instant View article parsing.
- Support AirPods Mute/Unmute toggle in calls on macOS.
- Disable system proxy on Linux to check if it fixes crashes.

4.15.4 beta (14.03.24)

- Fix initial text color in dark mode Instant View on macOS.
- Fix non-English symbols encoding in Instant View on macOS.
- Fix sharing from Instant View on macOS.
- Fix crash with long messages on Linux.

4.15.3 beta (13.03.24)

- Instant View on Windows (with WebView2) and macOS.
- Allow scheduling messages in topics.
- Fix system proxy support on Linux.

4.15.2 (12.03.24)

- Telegram Business: Greeting Message.
- Telegram Business: Away Message.
- Telegram Business: Quick Replies.
- Telegram Business: Working Hours.
- Close the ongoing call window without hanging up the call.
- Fast scroll through chats list with Ctrl or Shift pressed.
- Several bugfixes.

4.15.1 (08.03.24)

- Telegram Business features.

4.15 (18.02.24)

- Stories from groups.
- Group appearance settings.
- Group emoji pack.
- Boost groups to unlock features.

4.14.16 (16.02.24)

- Boost groups.

4.14.15 (10.02.24)

- Fix webview regression on Linux X11. (2nd attempt)

4.14.14 (09.02.24)

- Fix webview regression on Linux X11.

4.14.13 (02.02.24)

- Fix display of statistics for single posts.
- Allow editing tag name from search tags.
- Fix a crash in tags removal.

4.14.12 (01.02.24)

- Tags in Saved Messages.
- Audio output device selection for music and videos.
- Audio input device selection for voice messages recording.
- Default device changes should be applied instantly. (Windows / macOS)

4.14.11 beta (25.01.24)

- Fix crash when accepting calls.
- Fix possible crash in loopback audio on Windows.

4.14.10 beta (25.01.24)

- Allow choosing audio device for music and video files.
- Allow choosing microphone device for voice recording.
- Allow pause and resume voice messages recording.
- Track audio device changes on Windows and macOS.

4.14.9 (19.01.24)

- Fix two possible crashes in messages history and group search.
- Fix local online status turning off. (once again)

4.14.8 (18.01.24)

- Fix initial position and size of secondary windows.
- Optimize messages loading. (load replies on demand)
- Fix local online status turning off.

4.14.7 (18.01.24)

- See when your message was read in private chat.
- Premium users can see other last seen times if they weren't hidden explicitly.
- Premium users can allow new chats only from their contacts and other Premium users.

4.14.6 (15.01.24)

- Fix one-time audio tooltip showing in wrong places.
- Fix media viewer showing above taskbar on Windows.
- Fix crash in one-time video message playback.

4.14.5 (15.01.24)

- Allow sending one-time voice messages.
- Improve playing one-time voice and video messages.
- Remove Ctrl+Shift+[1-6] shortcuts by default, some are used in input methods.
- Some bugs and glitches fixed.

4.14.4 (08.01.24)

- Switch between logged in accounts using Ctrl+Shift+[1-6] shortcuts.
- Add poll creation in groups to the attach menu, if exists.
- Another fix for payment card validation.

4.14.3 (04.01.24)

- Allow sending single-time voice messages.
- Fix payments card validation.
- Fix crash when trying to join channels above the limit.
- Add "Quit Telegram" to the Taskbar context menu. (Windows)
- Fix opened windows list in the Dock icon context menu. (macOS)

4.14.2 (02.01.24)

- Show original senders name in reply to forward information.
- Use original senders color / emoji pattern in forwards.
- Highlight active saved messages chat in list.
- Fix chats list scrolling on X11 (Linux).

4.14.1 (01.01.24)

- Fix crash in "Author Hidden" chat in "Saved Messages".
- Improve jump-to-original button layout in "Saved Messages".
- Show my own chat as "My Notes" in "Saved Messages".
- In screen sharing source window select first screen by default.

4.14 (31.12.23)

- Improved saved messages.
- One-time voice messages.

4.13.1 (23.12.23)

- Fix crash in chat history right click.
- Fix user emoji status display in main menu, profile and settings.

4.13 (22.12.23)

- Support setting channel wallpaper.
- Support setting channel emoji status.
- Allow gifting premium to several recipients at once.

4.12.2 (01.12.23)

- Fix choosing custom reactions in channels.
- Fix crash on launch using old hardware. (Windows)

4.12.1 (01.12.23)

- Fix assertion violation with imported messages.

4.12 (30.11.23)

- Similar channels.
- Wallpapers for both sides.
- Voice-to-Text for rveryone.
- Story statistics for channels.
- Custom Reactions for channels.
- Automatic code highlighting in messages.

4.11.8 (14.11.23)

- Fix phrases on macOS by doing a clean rebuild.

4.11.7 (13.11.23)

- Fix sending media files with quote replies.
- Fix quoted text highlighting in some cases.
- Fix loading statistics for some channels.
- Fix Ctrl+Shift+. shortcut on X11.
- Fix a crash in statistics.

4.11.6 (09.11.23)

- Support multiple boosts and reassignment.
- Improve giveaway creation flow.
- Fix crash in topics creation.

4.11.5 (06.11.23)

- Giveaway phrases and sticker fixes.
- Show quoted part in channel comments.
- Show replies with icons and multiline preview.
- Send correct replies in topics and channel comments.
- In monochrome Windows tray icon use dot instead of counter.

4.11.4 beta (06.11.23)

- Show quoted part in channel comments.
- Show replies with icons and multiline preview.
- Send correct replies in topics and channel comments.
- In monochrome Windows tray icon use dot instead of counter.

4.11.3 (02.11.23)

- Fix adding a link to media captions in scheduled / comments.
- Fix crash in link preview options saving.
- Fix possible crash in statistics.

4.11.2 (01.11.23)

- Highlight quoted parts in jump-to-message from replies.
- Ctrl+Click on message field reply bar to jump to message.
- Fix empty link preview displaying when generation failed.
- Fix external replies in topic groups.
- Allow enabling legacy tray icon on Windows.

4.11.1 (29.10.23)

- Fix crash in emoji status select.
- Fix crash in language change.
- Suggest shrinking only photos in webpage previews.
- Fix opening video files in webpage previews in-app.
- Fix sending links and markup with customized webpage previews.
- Show "Saved Messages" as a first row when replying in another chat.
- Fix selecting words by double-click with webpage previews.
- Fix delayed webpage preview generation in preview options.
- Add "show-peer-id-below-about" experimental option.

4.11 (28.10.23)

- View full statistics in your channels and group chats.
- Choose which link preview in added to the message.
- Choose if link preview is above or below the text.
- Choose if link preview has large or small image.
- Quote parts of text in replies.
- Add quote formatting.
- Reply in another chat.
- Add nice looking code blocks with syntax highlighting.
- Copy full code block by click on its header.
- Send a highlighted code block using ```language syntax.
- Change your name color in Chat Settings.
- Customize quotes, link previews and replies to your messages.

4.10.5 beta (23.10.23)

- Fix crash in replies to messages with spoilers.
- Enter boosts stats from three-dot menu.

4.10.4 beta (21.10.23)

- Statistics in channels and group chats.
- Nice looking code blocks with syntax highlight.
- Copy full code block by click on its header.
- Send a highlighted code block using ```language syntax.

4.10.3 (02.10.23)

- Fix crash on external link opening. (Linux only)

4.10.2 (28.09.23)

- Bug fixes and other minor improvements.

4.10.1 (23.09.23)

- Rebuild macOS version with Xcode 14.0.1.

4.10 (22.09.23)

- Stories for Channels.
- Reaction Stickers in Stories.

4.9.10 beta (22.09.23)

- Update Qt to 6.2.5 on macOS.
- Update minimum target to macOS 10.13 and toolchain to Xcode 15.
- Update Linux build host from CentOS 7 to Rocky Linux 8.
- Update Linux toolchain to GCC 12.

4.9.9 (18.09.23)

- Add support for Emoji 15.
- Several crash fixes.

4.9.8 (16.09.23)

- Fix t.me/botname?startapp=token deeplinks.
- Fix a possible crash in media viewer on Wayland.

4.9.7 (13.09.23)

- Fix direct bot web app links handling.
- Close main menu when opening a web app.
- Bump libwebp revision.

4.9.6 (12.09.23)

- Some bot web-app improvements.
- Bug fixes and other minor improvements.

4.9.5 (04.09.23)

- Several new bot web-app features.
- Bug fixes and other minor improvements.

4.9.4 (30.08.23)

- Default private chats / groups / channels notification settings.
- Forwarded / reply-to-a-story icon in chats list message preview.
- Bug fixes and other minor improvements.

4.9.3 (22.08.23)

- Fix audio output on macOS.

4.9.2 (21.08.23)

- Remove single recently used emoji or reset the list from context menu.
- Change all emoji skin colors from Emoji & People section.
- Connected Websites section in Settings > Advanced.
- Bug fixes and other minor improvements.

4.9.1 (15.08.23)

- Fix a crash in reply area ripple animation.
- Fix a crash on start in some Linux distributions.

4.9 (14.08.23)

- Gradual stories rollout.

4.8.12 beta (11.08.23)

- Fix crash by a full rebuild on macOS.

4.8.11 beta (10.08.23)

- Fix initial video playback speed.
- Use native window resize on Windows 11.
- Fix memory leak in Direct3D 11 media viewer on Windows.

4.8.10 (28.07.23)

- Send story sharing comments as separate messages.
- Fix stories explanation tooltip ordering.

4.8.9 (26.07.23)

- Bug fixes and other minor improvements.

4.8.8 (25.07.23)

- Several crash fixes and story viewer improvements.

4.8.7 (21.07.23)

- Several crash fixes and small stories improvements.

4.8.6 (21.07.23)

- Fix langpack keys by a full rebuild on macOS.

4.8.5 (20.07.23)

- Bug fixes and other minor improvements. And stories preview.

4.8.4 (13.06.23)

- Fix opening links on Linux.

4.8.3 (31.05.23)

- Fix main window focus from notifications with disabled animations.
- Some minor fixes and improvements.

4.8.2 (16.05.23)

- Apply hardening runtime for Mac App Store version.

4.8.1 (24.04.23)

- Fix sending an album of ten scheduled messages.
- Convert folder back to non-shareable on last link deletion.
- Several fixes of focus control in discussions / channel comments.
- Drop all formatting on paste in non-message input fields.
- Clear search field on archive opening.
- Show video upload / download progress over the spoiler.
- Better support for text-colored emoji in reactions.
- Close archive / topics group when clicking on currently active folder.
- Allow replace media by paste in discussions / comments / scheduled messages.
- Fix stuck Replace Media button after editing media in some chats.
- Quick reply by double click only with the left mouse button.
- Fix applying the same custom chat background with different dimming value.
- Fix "who reacted" list display for media album parts.
- Show full t.me/+ invite link prefix in Recent Actions.
- Don't try to suggest userpic photos to bots.
- Add "Send when online" to the send button context menu.
- Fix crash in empty topics message sending.

4.8 (21.04.23)

- Share folders that include dozens of chats with friends or colleagues.
- Anyone you invite can add the folder and join all its chats in one tap.
- You can create multiple invite links to give different people access to different chats in the folder.
- Set a custom wallpaper for any 1-on-1 chat.
- Your chat partner can apply the same wallpaper - or choose their own.

4.7.1 (21.03.23)

- Fix media viewer with some system scale settings on Windows.
- Fix calls on Linux.

4.7 (19.03.23)

- You can disable all resource-intensive animations and animated stickers and emoji.
- Power saving mode turns on automatically based on system battery saving settings.
- Fully flexible playback speed settings for videos, voice and video messages.
- Click the "1X" button to quickly switch between normal and adjusted speed – or hold it to set any speed between 0.5-2.5x.
- Improved sound quality for adjusted speed playback.
- Read receipts in groups under 100 members now show reaction timestamps and when your messages were read.
- When inviting people to groups, you can quickly send invite links to anyone who doesn't allow adding them directly.
- Invite links now show previews in chats.
- Fully translatable bots. Bot descriptions and ”What can this bot do?" sections can now be translated.
- Starting a call now shows a confirmation window.
- Fixed pasting images from Firefox on Windows.
- Global Fn+F shortcut to switch active window to full screen mode on macOS.
- Silent notification sound in Focus Mode on macOS.

4.6.12 beta (17.03.23)

- Fix several possible crashes.
- Deprecate macOS 10.12, Ubuntu 18.04 and CentOS 7 in July.

4.6.11 beta (15.03.23)

- Allow larger interface scale values on high-dpi screens.
- Implement new voice and video speed change interface (up to 2.5x).
- Support global Fn+F shortcut to toggle fullscreen on macOS.
- Silent notification sound in Focus Mode on macOS.
- Fix media viewer on macOS with several screens.
- Fix a crash in connection type box.
- Fix possible crash on quit.

4.6.10 beta (12.03.23)

- Suggest sending an invite link if user forbids inviting him to groups.
- Show when a reaction was left on your message in small groups.
- Fix a crash in video chats on Windows.
- Fix a crash in audio speed change.

4.6.9 beta (10.03.23)

- Fix audio speed change filter in Windows x64 build.
- Fix build scripts.

4.6.8 beta (09.03.23)

- Improve quality of voice messages with changed playback speed.
- Show when your message was read in small groups.
- Fix pasting images from Firefox on Windows.
- Improve memory usage for custom emoji.

4.6.7 beta (02.03.23)

- Fix crash when accepting incoming calls.
- Remove sound when cancelling an unconfirmed call.

4.6.6 beta (01.03.23)

- Confirmation window before starting a call.
- New "Battery and Animations" settings section.
- "Save Power on Low Battery" option for laptops.
- Improved windowed mode support for media viewer.
- Hardware accelerated video playback fix on macOS.
- New application icon on macOS following the system guidelines.

4.6.5 (25.02.23)

- Fix payment card input field validation.
- Fix video playback with hardware acceleration on macOS.

4.6.4 beta (18.02.23)

- Allow media viewer to exit fullscreen and become a normal window.

4.6.3 (15.02.23)

- Optimize chats list initial loading.
- Various crash fixes.

4.6.2 (07.02.23)

- One more attempt to fix fonts on Windows.
- Fix polls forwarding to private chats.
- Improve translations bar appearance.
- Improve userpic editor presets.

4.6.1 (06.02.23)

- Fix fonts fallback on Windows.
- Fix crash in userpic editor.
- Fix some crashes on 32 bit Window build.
- Bug fixes and other minor improvements.

4.6 (03.02.23)

- Emoji Profile Pictures. Quickly create group and profile pictures from animated emoji and stickers with the new "Use an Emoji" option.
- Emoji Categories. Filter stickers and emoji by categories like "love", "cheers" or "sleeping" in the sticker and emoji tabs.
- Chat Translation. As a Premium user, translate entire chats in real time as you scroll them or receive new messages.
- Media Permissions in Groups. Control whether members of your groups can send 9 distinct media types – like Photos, Voice or Video Messages.
- Select Chats for Bots. Bot developers can now let users quickly select groups, channels or contacts that meet predefined criteria (more in @BotNews).
- Open in New Window. Open chats or additional accounts in separate windows.

4.5.9 beta (02.02.23)

- Hide taskbar window preview when Telegram is locked by a passcode (Windows only).
- More improvements for working with multiple windows.
- Bug fixes and other minor improvements.

4.5.8 beta (21.01.23)

- Allow opening another account in a new window (see Settings > Advanced > Experimental Settings).
- A lot of bugfixes for working with more than one window.

4.5.7 beta (13.01.23)

- Fix glitches after moving window to another screen (Windows only).

4.5.6 beta (12.01.23)

- Try enabling non-fractional scale High DPI support on Windows and Linux.
- Experimental setting for fractional scale High DPI support on Windows and Linux.
- Fix navigation to bottom problems in groups you didn't join.
- Fix a crash in chat export settings changes.
- Fix a crash in sending some of JPEG images.
- Fix CJK fonts on Windows.

4.5.5 beta (10.01.23)

- Fix crash in Settings.

4.5.4 beta (10.01.23)

- Allow wide range of interface scale options.
- Show opened chat name in the window title.
- Bug fixes and other minor improvements.
- Fix updating on macOS older than 10.14.

4.5.3 (06.01.23)

- Attempt to fix incoming video in calls from mobile apps.

4.5.2 (03.01.23)

- Fix unread reactions button in private chats.
- Fix tile background saving after an app update.
- Allow Ctrl+6,7,8 to activate extra pinned chats.

4.5.1 (02.01.23)

- Fix crash in profile photo privacy edition.
- Allow sending photos larger than 1280px (in Experimental Settings).

4.5 (30.12.22)

- Media with spoiler effects. You can wrap photos and videos you send in a fuzzy cover by selecting media in the attachment menu and tapping (...) > Hide With Spoiler.
- Setting pictures for your contacts. You can choose your own picture for a contact – only you will see it on their profile.
- Suggested profile pictures. When editing your contacts, you can suggest a photo for their profile. It will take them just two clicks to add the picture you suggested.
- Public profile pictures. If you only allow certain users to see your profile photos, you can set a public picture for everyone else.
- Ultimate profile picture privacy. You can set 'Who can see my profile photos' to 'Nobody' and add some users or groups as exceptions.
- Member list privacy. Owners of large groups can hide the list of members.

4.4.3 beta (29.12.22)

- Support for anonymous numbers from the Fragment.com platform.
- Fix a crash in own profile photo updating.
- Bug fixes and other minor improvements.

4.4.2 beta (28.12.22)

- Send photos and video files hidden by a spoiler effect.
- Set a public photo for those who are restricted to see your profile photo in the Privacy Settings.
- Bug fixes and other minor improvements.

4.4.1 (07.12.22)

- Bug fixes and other minor improvements.

4.4 (06.12.22)

- You can set a Global Auto-Delete Timer for all new chats and groups you create.
- New messages will be deleted after 1 day, week, month - or a custom duration you choose.
- The new menu in Settings > Privacy & Security > Auto-Delete Messages also lets you set up Auto-Delete for any of your existing chats faster.
- Admins of groups with 100+ members can organize discussions into separate topics.
- Topics now have a two-column layout that keeps recent chats easily accessible as you browse topics.
- Previews of topic messages in the chat list work like a button - click to jump to the last updated topic.
- Up to 5 topics can be pinned to the top of the list.
- Each topic now supports multiple pinned messages.
- The View as Messages mode now shows which topic each message belongs to.
- Badge counters for topics you never opened will have a lighter, less distracting color.
- A new General topic is now included by default, containing service messages and the earlier message history from the group.
- Admins can rename the General topic.
- Large groups can enable Aggressive Filtering in Manage Group > Administrators to remove more spam with automated algorithms.
- Admins help improve filtering by reporting any false positives in Recent Actions.

4.3.4 (25.11.22)

- Fix OpenGL regression in Qt and language detection.

4.3.3 (23.11.22)

- Fix an issue with media auto-download on Windows.
- Fix switching accounts in maximized window.
- Fix collapsed archive row layout.

4.3.2 (21.11.22)

- Enable message translations in Settings > Language.
- Fast jump to the last updated topic.
- Bug fixes and other minor improvements.

4.3.1 (07.11.22)

- Critical bug fixes.

4.3 (05.11.22)

- Groups with more than 200 members can now have their discussions organized into topics.
- Premium users can now convert both voice messages and video messages into text.

4.2.4 (30.09.22)

- Fix crash in emoji statuses clearing.

4.2.3 (28.09.22)

- Improve scaling / cropping for photos / video files.
- Improve touch support in channel comments.
- Nice animation for spoilers.

4.2.2 beta (23.09.22)

- Fix crash in spoiler revealing in media captions.
- Fix spoiler revealing in media viewer captions.
- Fix crash in folder editing on Linux.

4.2.1 beta (22.09.22)

- Improve scaling / cropping for photos / video files.
- Improve touch support in channel comments.
- Nice animation for spoilers.

4.2 (17.09.22)

- A new expandable reaction menu was added in private chats and groups.
- All users get access to dozens of new reactions, including reactions previously reserved for Premium users.
- The reactions you use most frequently will always be displayed at the top.
- Premium users can react to messages with thousands of custom emoji and add up to 3 reactions to each message.
- Group admins can control whether custom reactions are allowed in their groups.
- Premium users can add an animated emoji status next to their name to display their current activity.
- To set a status, tap your Premium badge in the main menu or Settings.
- Popular suggestions for working, sleeping, traveling and more will be shown at the top.
- To set a status for a specific duration like 1 hour or 2 days, right click the emoji.
- A new format was supported for username links, in addition to "t.me/username." You can now open Telegram accounts, groups or channels using links like "username.t.me" or "https://username.t.me."
- Improved support for long media captions.

4.1.2 beta (14.09.22)

- New reaction selector above the right click menu.
- Premium: Set any custom emoji reactions in private chats.
- Premium: Set any custom emoji as your profile status.
- Insert or copy custom emoji from pack preview.

4.1.1 (16.08.22)

- Fix editing media captions with animated emoji.
- Fix viewing animated emoji sets used in a message.
- Fix premium sticker tooltip auto-show in channel comments.
- Fix main window position and size restoring after relaunch.
- Other bug fixes and minor improvements.

4.1 (12.08.22)

- Include animated emoji in messages and captions.
- Premium users unlock over 500 new emoji, including custom packs with unique characters.
- All users can view any emoji – and try them out in the Saved Messages chat.
- Control who can send you voice and video messages with Telegram Premium.
- Send a Premium subscription to any user from their profile.
- Choose 3, 6, or 12 months – at a discount.

4.0.4 beta (04.08.22)

- Allow sending animated emoji to Saved Messages even without Telegram Premium.
- Premium: Suggest animated emoji by regular emoji (can be disabled in Settings).
- Premium: Show all suggested premium stickers in a special section of the stickers panel.
- Premium: Allow hiding premium stickers special section of the stickers panel.
- Fix a memory leak in RTMP livestreams.
- Fix some bot webview bugs on macOS.
- Fix forwarding of voice messages.

4.0.3 beta (28.07.22)

- Animated emoji for messages.
- Premium: Privacy settings for voice messages.
- Premium: Gifting Telegram Premium to any user from their profile page.

4.0.2 (24.06.22)

- Fix window title on Windows 7. (again)
- Fix file chooser and global menu on macOS.
- Crash fix and OpenAL check for PipeWire fix on Linux.

4.0.1 (23.06.22)

- Fix window title on Windows 7.
- Bug fixes and other minor improvements.

4.0 (22.06.22)

- Premium: Send media and files each up to 4 GB in size.
- Premium: Download media and files at the fastest possible speed, with no limits.
- Premium: Double most of the limits in the app.
- Premium: Get a new button next to any voice message to generate a transcript of its audio.
- Premium: React with even more emoji, including :clown: and :heart_eyes:.
- Premium: Send unique stickers with additional effects, updated monthly.
- Premium: Set a default chat folder or enable tools to auto-archive and hide new chats.
- Premium: Subscribers have a badge next to their name, showing they help support Telegram.
- Premium: Show off your profile video that will be animated for everyone in chats and the chat list.
- Premium: Sponsored Messages that are sometimes shown in public channels will no longer appear.
- Enable join requests for your public groups – no invite links required.
- Users who open the group will see an Apply to Join Group button.
- Once approved by an admin, users will be able to participate in the chat.
- Bots that are integrated into the attachment menu can be programmed to work in groups and channels.

3.7.6 beta (16.06.22)

- Settings > Advanced > Experimental adds an option to open chats in separate windows.
- Fix possible crash in video chat reconnection.
- Fix possible crash after account switch.

3.7.5 beta (12.05.22)

- Improve cloud password management design.
- Fix a crash in shared media search.
- Fix audio recording on macOS.

3.7.4 beta (03.05.22)

- More icons for chat folders.
- Improve some more sections design.
- Update the OpenAL library to 1.22.0.

3.7.3 (26.04.22)

- Fix a crash in the pinned bar bot button refresh.

3.7.2 (25.04.22)

- Fix mute period selector values.
- Fix a crash in repeated context menu item selection.
- Fix context menu item selection of systems without a compositor.

3.7.1 (19.04.22)

- Hardware accelerated video decoding off by default.
- Fix several crashes.

3.7 (16.04.22)

- Use any short music file or voice message as a notification sound.
- Right click audio files in chats to add them to your list of sounds - or use 'Upload Sound' in the Notifications menu.
- Click on Mute notifications > Select sound in a chat's (...) menu to change its notification sound.
- Set custom tones for notifications in Settings > Notifications > Play sound.
- Click on Mute notifications in a chat's (...) menu to manage its notifications.
- Choose 'Mute for...' to turn off notifications for a preset period, like 1 hour or 1 day.
- Quickly configure Auto-Delete settings from any chat info page.
- Click (...) to turn on Auto-Delete, then select a specific duration.
- Replies are now preserved when forwarding messages, making forwarded conversations easier to read.
- Bots can now open detailed pages directly in the chat.
- Use these streamlined interfaces to buy real-world goods and services without leaving the app.
- Open a bot's profile to add it to your group or channel.
- Instantly configure a bot's rights and permissions when adding it.
- Bots can send a new type of button that lets you add them to your group or channel.

3.6.3 beta (13.04.22)

- Allow sending the default reaction by a double click.
- Select a custom sound for message notifications.
- Add chats to folders from a chat context menu.
- Fix group and channel photo upload.
- Test hardware video decoding.

3.6.2 (27.03.22)

- Fix photo changing in settings, groups and channels.
- Fix non-square animated video-stickers.

3.6.1 (16.03.22)

- Change volume for RTMP stream from the context menu.
- Set a profile photo from your camera.
- Improve RTMP stream full screen mode.
- Improve edit account section design.
- Fix switching personal account or channel in video chats.
- Fix pinning chats in folders with 100 chats.
- Fix YouTube timestamp links after 10 hours.

3.6 (11.03.22)

- Active and recently finished downloads pop up in bar in the bottom left corner, like they do in browsers.
- View recently downloaded files in Settings > Advanced > Downloads.
- Get an alert before closing the app if you have unfinished downloads.
- Share a direct t.me link to your phone number that instantly opens a chat with you.
- Use the full number in international format, like t.me/+123456789
- Manage Live Streams in your channels using external software like OBS Studio or XSplit Broadcaster.
- Choose "Stream With..." when staring a video chat or live stream - then copy your Stream Key and paste it into your streaming software.

3.5.6 beta (08.03.22)

- Show viewers count in RTMP streams.
- Send GIFs search results without "via @bot".
- Display the file thumbnail in downloads bar.
- Always try to save original photo bytes to disk.
- Fix crash when deleting a user from your contacts list.

3.5.5 beta (05.03.22)

- Support stereo audio output in RTMP streams.
- Improve RTMP stream full screen mode.
- Fix a couple of crashes.

3.5.4 beta (01.03.22)

- Bug fixes and other minor improvements.

3.5.3 beta (28.02.22)

- Check the status of media and file downloads by clicking on the new panel in the bottom of the chats list.
- View recently downloaded files from the new Settings > Advanced > Downloads section.
- Manage Live Streams in your groups and channels using external software like OBS Studio or XSplit Broadcaster.

3.5.2 (06.02.22)

- Fix a freeze in audio playback on Linux.
- Fix a crash in screen sharing initialization on Linux.

3.5.1 (04.02.22)

- Keep the screen on while watching a video or participating in a video chat.
- Save experimental settings between relaunches.
- Bug fixes and other minor improvements.

3.5 (31.01.22)

- Use a new type of detailed stickers with smooth animations.
- Create new sets by sending .webm videos to @stickers.
- Bring your custom animated stickers from other apps.
- See smaller, compact animations when reacting to messages.
- See real-time animations in chat when a user reacts to your message.
- React with additional emoji expressing love, appreciation, anger or surprise.
- Tap the new button in chats to jump to your messages that have unseen reactions.
- Watch the animations for unseen reactions play when you hit the button.
- The app will warn you before closing if you are uploading photos or files to a chat.
- Enjoy better screencast quality in video chats.

3.4.8 (19.01.22)

- Nice animations in reactions.
- Add snap layouts support on Windows 11.
- Bug fixes and other minor improvements.

3.4.7 beta (19.01.22)

- Fix a crash on launch on Windows.

3.4.6 beta (18.01.22)

- Add snap layouts support on Windows 11.
- Fix crash in drafts after accounts switching.

3.4.5 beta (16.01.22)

- Fix crash in monospace blocks processing.
- Fix reaction animations stopping after an hour uptime.

3.4.4 beta (14.01.22)

- Nice animations in reactions.

3.4.3 (03.01.22)

- Bug fixes and other minor improvements.

3.4.2 (31.12.21)

- Bug fixes and other minor improvements.

3.4.1 (31.12.21)

- Bug fixes and other minor improvements.

3.4 (30.12.21)

- Send reactions to messages.
- Group and Channel admins can enable reactions in their chat via '...' menu > Manage > Reactions.
- Select text when typing and choose 'Formatting > Spoiler' in the context menu to hide some or all of the contents of a message.
- Click on the spoiler in chat to reveal its hidden text.
- Spoiler formatting hides text in chat, as well as in the chat list and notifications.

3.3.2 beta (29.12.21)

- Select text when typing and choose 'Formatting > Spoiler' in the context menu to hide some or all of the contents of a message.
- Click on the spoiler in chat to reveal its hidden text.
- Spoiler formatting hides text in chat, as well as in the chat list and notifications.

3.3.1 beta (22.12.21)

- Switch between contacts list sorting modes.
- Sort contacts list by last seen time by default.
- Fix disappearing Send As Channel button after message editing.
- Fix file upload cancelling.
- Fix crash in video capture on macOS.
- Fix labels in the About box.
- Use Qt 6.2.2 for macOS and Linux builds.
- Allow installing x64 Windows version on Windows ARM.

3.3 (07.12.21)

- Content creators can restrict the ability to save media and forward messages from their groups and channels.
- Clear messages in one-on-one chats from a specific day or date range.
- Comment as one of your channels in public groups and channel comments.
- When you request to join a community and its admin or bot-admin contacts you with a message, you will see which chat they are from at the top of the chat.
- Bot-admins can now ask users to complete tasks before they are allowed to join - like accepting community rules, passing a test, or making a donation to the content creators.

3.2.8 beta (01.12.21)

- Fix crash in opening shared media with another user.

3.2.7 beta (30.11.21)

- Active sessions list redesign.
- Fix disappearing emoji selector button.
- Fix a crash in archived stickers loading.
- Fix a crash in calls to old Telegram versions.

3.2.6 beta (26.11.21)

- Try out the new audio player with playlist shuffle and repeat.
- Give a custom name to your desktop session to distinguish it in the sessions list.

3.2.5 (16.11.21) [Windows, macOS]

- Fix connecting in case bad characters appear in device name on Windows.
- Fix custom input methods on macOS.

3.2.4 (13.11.21)

- Fix editing of scheduled messages on macOS.
- Fix launching on Chrome OS in Crostini container.

3.2.3 (08.11.21)

- Fix autoupdater launch on macOS.

3.2.2 (05.11.21)

- Fix webpage preview links when View Button is present.
- Fixed possible crash on sponsored messages.

3.2.1 (03.11.21)

- Remove AppImage icon hack and -pie.

3.2 (03.11.21)

- Create special invite links that require admins to approve users before they become members.
- Admins can view the applicants' profiles and bios by tapping the Join Requests bar at the top of the chat.
- Add internal labels to your chat's Invite Links to keep them organized.
- More Interactive Emoji - :ghost:, :dislike:, :face_vomiting:, :joy:, :money_with_wings: or :jack_o_lantern:

3.1.13 beta (02.11.21)

- Fix requests to groups / channels processing.
- Fix internal link previews with View Content button layout.
- Fix crash in messages search with imported messages results.
- Don't use fractional system UI scaling on Linux.
- Fix invite link icons on macOS.
- Several crash fixes.

3.1.12 beta (30.10.21)

- Create special invite links that require admins to approve users before they become members.
- Admins can view the applicants' profiles and bios by tapping the Join Requests bar at the top of the chat.
- Add internal labels to your chat's Invite Links to keep them organized.
- Run natively on Apple Silicon (macOS only).

3.1.11 (29.10.21)

- Create special invite links that require admins to approve users before they become members.
- Admins can view the applicants' profiles and bios by tapping the Join Requests bar at the top of the chat.
- Add internal labels to your chat's Invite Links to keep them organized.
- Run natively on Apple Silicon (macOS only).

3.1.10 beta (29.10.21)

- Native support for M1 on macOS.
- Build macOS and Linux versions on Qt 6.2.

3.1.9 (08.10.21)

- Fix crash in chat closing while scrolling (macOS only).

3.1.8 (08.10.21)

- Show small media previews in chats list.
- Show media album previews and caption text in chats list.
- Add "Quick Reply" and "Mark as Read" to native Windows notifications.

3.1.7 beta (07.10.21)

- Fix channel message views and comments counter updates.
- Sponsored messages support.
- Crash fix.

3.1.6 beta (06.10.21)

- Show small media previews in chats list.
- Show media album previews and caption text in chats list.
- Add "Quick Reply" and "Mark as Read" to native Windows notifications.

3.1.5 beta (28.09.21)

- Choose one of 8 new preset themes for any individual private chat.
- Click on '...' menu > 'Change Colors' to pick a theme.
- Both chat participants will see the same theme in that chat – on all their devices.
- Each new theme features colorful gradient message bubbles, beautifully animated backgrounds and unique background patterns.
- All chat themes have day and night versions and will follow your overall dark mode settings.
- Implement main window rounded corners on Windows 11.
- Fix audio capture from AirPods on macOS.

3.1.4 beta (27.09.21)

- Fix crash in network availability init.
- Fix assertion violation after a NaN-resulting std::round call.

3.1.3 beta (27.09.21)

- Fix illegal instruction crash in opus encoder.

3.1.2 beta (26.09.21)

- Control video in fullscreen mode using arrows and numbers.
- Open locations in browser if default Bing Maps is not installed.
- Reconnect without timeout when network availability changes.
- Crash fixes.

3.1.1 (24.09.21)

- Crash fixes.

3.1 (19.09.21)

- Some animated emoji now have extra effects.
- Send :fireworks: :tada:, :balloon:, :like:, :poop: or :heart: to any private chat, then click on the animated emoji to launch the effect.
- If your chat partner also has the chat open, you will both see the effects.
- See the "Watching" status when your chat partner is enjoying emoji effects with you.
- More interactive emoji coming soon.
- Right click one of your outgoing messages in small groups to see who recently viewed it.
- To protect privacy, read receipts are only stored for 7 days after the message was sent.
- Record video and audio from live broadcasts in your group or channel.
- Admins can start recording from the '...' menu.
- Choose between recording in portrait or landscape orientation.
- Finished recordings are sent to the admin's Saved Messages and can be easily shared.

3.0.5 beta (17.09.21)

- Add support for Emoji 13.1.

3.0.4 beta (13.09.21)

- Fix a crash when joining video chat or live broadcast.
- Add a "Close to Taskbar" option when tray icon is disabled (Windows and Linux).

3.0.3 beta (12.09.21)

- Try fixing crashes in allocator on Linux.

3.0.2 beta (10.09.21)

- Check who've seen your message in small groups from the context menu.
- Enable recording with video in live streams and video chats.

3.0.1 (01.09.21)

- Crash fixes.

3.0 (31.08.21)

- Broadcast video and share your screen to an unlimited number of viewers.
- To begin, tap the Live Stream button in the title bar of a community where you are an admin.
- Tap the "Forward Message" label above the input field to change how messages will be sent.
- Hide or show the original sender's name.
- Remove or keep captions from media messages.
- See how many unread comments there are when opening a channel's comments.

2.9.14 beta (31.08.21)

- Fix crash in authorization after logout.

2.9.13 beta (31.08.21)

- See unread comments count when scrolling discussions in channels.

2.9.12 beta (24.08.21)

- Disable floating point exceptions in 32 bit Windows version.

2.9.11 beta (24.08.21)

- Resolve (again) a video playback crash in 32 bit Windows version.

2.9.10 beta (24.08.21)

- Resolve (hopefully) a video playback crash in 32 bit Windows version.

2.9.9 beta (23.08.21)

- Still(3) debugging a video playback crash in 32 bit Windows version.

2.9.8 beta (23.08.21)

- And still debugging a video playback crash in 32 bit Windows version.

2.9.7 beta (23.08.21)

- Still debugging a video playback crash in 32 bit Windows version.

2.9.6 beta (21.08.21)

- Debugging a video playback crash in 32 bit Windows version.

2.9.5 beta (20.08.21)

- Tile chat background patterns horizontally.
- Fix a rare crash in spellchecker on Windows.
- Fix animated chat backgrounds in Saved Messages.
- Fix "Sorry, group is inaccessible" message in scheduled voice chats.

2.9.4 beta (17.08.21)

- Choose one from dozens of new gorgeous animated backgrounds in Chat Settings > Chat background.

2.9.3 (11.08.21)

- Fix requesting screencast rights on macOS (again).

2.9.2 (10.08.21)

- Fix crashes and bugs in scheduled messages.
- Fix file sending after a call or voice chat on Windows.
- Fix main window title glitches on Windows 7.

2.9.1 (30.07.21)

- Fix requesting screencast rights on macOS.

2.9 (30.07.21)

- Enable auto-delete in your chats to remove messages after 1 month (also 1 day or 1 week).
- Quickly find all GIFs from a chat using the new GIF section in Shared Media.
- Reset your Two-Step Verification password even if you forgot your old password and don't have a recovery email.
- To do this, you must be logged into your account. The reset takes 7 days and can be cancelled from any of your devices.
- Enjoy a new app icon and default background.

2.8.13 beta (23.07.21)

- Fix crash in messages animation.
- Save GIFs from context menu in channel comments.

2.8.12 beta (20.07.21)

- Change the default chat background.
- Add GIFs overview section in chats.
- Add a simple new messages animation.
- Use modern Telegram application icon.
- Use Direct3D 11 by default on Windows.
- Fix Direct3D acceleration on basic Windows 7 setup.

2.8.11 (17.07.21)

- Check shader compilation / linking before using ANGLE.

2.8.10 (16.07.21)

- Fix media loading.

2.8.9 (16.07.21)

- Fix GIF caption edit.
- Fix version on Windows without SetDefaultDllDirectories.
- Fix fonts on Linux.

2.8.8 (15.07.21)

- Added an image editor. Crop photos or highlight parts of screenshots before sending.

2.8.7 beta (08.07.21)

- (wasn't deployed)

2.8.6 beta (06.07.21)

- Added a simple image editor. Crop photos or highlight parts of screenshots before sending.
- Use Direct3D 9 backend in ANGLE by default (Windows).
- Fix "Show in Finder" not focusing the Finder window (macOS).
- Use GTK from a child process (Linux).

2.8.5 beta (02.07.21)

- Use ANGLE for OpenGL over DirectX 9 / DirectX 11 (Windows).
- Use GTK from a child process (Linux).

2.8.4 (01.07.21)

- Crash fixes in WebView on Windows.

2.8.3 (28.06.21)

- Fix crashes in OpenSSL on macOS.

2.8.2 (27.06.21)

- Attempt to fix random crashes on macOS.

2.8.1 (26.06.21)

- Fix crash in audio player volume slider.

2.8 (24.06.21)

- Start video conferences from Voice Chats in any group.
- Share your screen or video from your camera with up to 30 participants (limit to be increased soon).
- Talk without video with an unlimited number of participants.
- Create voice chats from the info page of any group where you are an admin.
- Group video calls are supported natively on all devices, including iPads and laptops.

2.7.10 beta (22.06.21)

- Added ability to mix together bold, italic and other formatting.
- Fix voice chats and video calls OpenGL with some drivers on Windows.
- Several bug fixes.

2.7.9 beta (17.06.21)

- Added "Enable noise suppression" option to group calls Settings.
- Fix media viewer with Retina + Non-Retina dual monitor setup on macOS.
- Several bug and crash fixes.

2.7.8 beta (11.06.21)

- Crash fixes.

2.7.7 beta (11.06.21)

- Optimized video playback in media viewer and Picture-in-Picture mode.
- Added integration with System Media Transport Controls on Windows 10.
- Added "Now Playing" integration for music playback on macOS.
- Added "Archive Sticker" into the "..." menu of the Sticker Set Box.
- Fixed memory not being freed on Linux.
- Several crash fixes.

2.7.6 beta (31.05.21)

- Optimized video playback in media viewer and Picture-in-Picture on Windows and Linux.
- Added integration with System Media Transport Controls on Windows 10.
- Added "Archive Sticker" into the "..." menu of the Sticker Set Box.
- Fixed memory not being freed on Linux.
- Several crash fixes.

2.7.5 beta (04.05.21)

- Add "Voice chats" filter in "Recent actions" for channels.
- Write local drafts to disk on a background thread.
- Support autoupdate for Telegram in write-protected folders on Linux.
- Fix crash in native notifications on Linux.
- Fix crash in file dialog on Linux.

2.7.4 (28.04.21)

- Fix crash in viewing an invoice after a payment is made.
- Respect Focus Assist only for native notifications.
- Mark messages as read only in active window.

2.7.3 (27.04.21)

- Fix crash on some versions of Linux.
- Fix video not stopping when PiP window is closed.
- Fix messages marking as read if the Windows session is locked.

2.7.2 (26.04.21)

- Offer real goods and services for sale in any group, channel or bot – Telegram doesn't charge a commission.
- Pay for goods securely using one of the 8 integrated payment providers – Telegram doesn't collect your payment info.
- See how this works in our @TestStore.
- Schedule voice chats to let participants know about them in advance.
- View a countdown to the voice chat and get notified when it starts.
- Try two new, fully-featured versions of Telegram Web – both supporting animated stickers, dark mode, chat folders and more: https://webk.telegram.org/ and https://webz.telegram.org/.

2.7.1 (20.03.21)

- Fix editing 'Manage Voice Chats' rights for channel admins.
- Fix verification check display in voice chat participants list.
- Allow removing and blocking channels from voice chats.

2.7 (19.03.21)

- Start limitless Voice Chats in Groups and Channels.
- Host discussions that can be listened to by millions of people simultaneously.
- Record voice chats to share or publish in Channels later.
- See that a chat is being recorded from the red dot next to its title.
- See user bio texts right from the list of participants.
- Raise your hand to show admins you want to speak.
- Create separate Voice Chat Invite Links for listeners or speakers.
- Change the title of your Voice Chat to give people an idea of the current topic.
- Join Voice Chats as one of your Channels to hide your personal account.

2.6.8 beta (18.03.21)

- Fix connecting and getting allowed to speak on voice chats.
- MPRIS support on Linux.

2.6.7 beta (18.03.21)

- Improve voice chat participants list updating.

2.6.6 beta (18.03.21)

- Fix joining popular voice chats.

2.6.5 beta (17.03.21)

- Improvements and fixes in new voice chat features.

2.6.4 beta (16.03.21)

- Fix freeze in voice chats.
- Make default interface scale 110% on macOS Retina screens.

2.6.3 beta (16.03.21)

- Fix audio device selection in voice chats.
- Fix blinking self profile photo in case the profile photo privacy is used.
- Fix voice chat admin menu on macOS.

2.6.2 beta (13.03.21)

- Fix text disappearing because of cloud drafts sync.

2.6.1 (24.02.21)

- Fix time formatting in links.
- Fix copy QR code in night mode.
- Fix invite link sharing without a comment.
- Fix crash in link editing on Linux.

2.6 (23.02.21)

- Set messages to auto-delete for everyone 24 hours or 7 days after sending.
- Control auto-delete settings in any of your chats, as well as in groups and channels where you are an admin.
- To enable auto-delete, right click on the chat in the chat list > Clear History > Enable Auto-Delete.
- Create invite links that work for a limited time or a limited number of uses.
- See which users joined using your, or your admins', invite links.
- Turn any invite link into a QR code users can scan with their phone cameras.
- To manage invite links, click ... > Manage Group/Channel > Invite Links.
- Convert groups that have reached 200,000 members into unlimited Broadcast Groups.

2.5.9 (17.02.21)

- Add 'Invite via Link' button to Add Members box.
- Fix window size in Windows 10 Tablet Mode.
- Fix layout of round video messages in channels.

2.5.8 (29.01.21)

- Fix OpenAL device closing in calls and voice chats.
- Fix video chat rotation when calling from iOS.
- Fix scheduling messages without sound.
- Remove redundant Cancel button in ScheduleBox.

2.5.7 (28.01.21)

- Delete not only messages, but also groups you created and call history for all sides, without a trace.
- Adjust volume for individual participants of a voice chat.
- Report fake groups or channels impersonating famous people or organizations by opening their Profile > ... > Report.

2.5.6 beta (22.01.21)

- Press Up arrow to edit your last sent comment.
- Add more information to date tooltips in Recent Actions and channel comments.
- Bug and crash fixes.

2.5.5 beta (10.01.21)

- Fix recording of audio in voice chats.
- Fix media viewer zoom and crashing.

2.5.4 beta (07.01.21)

- Implement new audio module code for calls and voice chats.
- Allow retracting votes from polls in comments to channel posts.
- Show small voice chat button for empty voice chats.
- Fix media viewer updating when screen resolution is changed.

2.5.3 beta (30.12.20)

- Allow using mouse buttons in Push-to-Talk shortcut.
- Fix blurred thumbnails in Shared Links section.

2.5.2 beta (25.12.20)

- Fix possible crash in video calls.
- Fix possible crash in connecting to voice chats.
- Use different audio module code on Windows in calls.

2.5.1 (23.12.20)

- Fix crash in voice calls.

2.5 (23.12.20)

- Turn any of your group chats into a hop-on, hop-off conference call.
- Get up to several thousand participants in each voice chat.
- Control the number of speakers with flexible admin tools.

2.4.15 beta (19.12.20)

- Improve design of voice chats.
- Fix sending of voice messages as replies.
- Fix 'Open With' menu position in macOS.
- Fix freeze on secondary screen disconnect.

2.4.14 beta (14.12.20)

- Create voice chats in legacy groups.
- Fix sticker pack opening.
- Fix group status display.
- Fix group members display.

2.4.13 beta (09.12.20)

- Fix voice messages sending.
- Fix crash in voice calls.

2.4.12 beta (09.12.20)

- Voice chats in groups. (alpha version)

2.4.11 beta (19.11.20)

- Improve locked voice message recording.
- Fix main window closing to tray on Windows.
- Fix crash in bot command sending.
- Fix adding additional photos when sending an album to a group with enabled slow mode.

2.4.10 beta (17.11.20)

- Use inline bots and sticker by emoji suggestions in channel comments.
- Lock voice message recording, listen to your voice message before sending.

2.4.9 beta (06.11.20)

- Fix crash in tray icon removing. (macOS only)

2.4.8 beta (06.11.20)

- Upgrade Qt to version 5.15.1.
- Upgrade FFmpeg to version 4.2.
- Upgrade OpenAL to version 1.20.1.

2.4.7 (05.11.20)

- Fix playback display in albums of music files.
- Several crash fixes.

2.4.6 (02.11.20)

- Fix image compression option when sending files with drag-n-drop.
- Fix caption text selection in media albums.
- Fix drafts display in personal chats in the chats list.
- Bug fixes and other minor improvements.

2.4.5 (30.10.20)

- Pin several messages in any chat, including one-on-one chats.
- Jump between pinned messages or open them all on a separate page via the top bar.
- Send several music tracks as a playlist.
- Send several files as an album in one chat bubble.
- Send a :slot_machine: emoji to any chat to see if you hit the jackpot.
- Hide Telegram taskbar icon on Linux in Settings > Advanced.

2.4.4 (23.10.20)

- Fix application quit on call end with main window hidden in tray.
- Update OpenAL library on Windows.
- Several crash fixes.

2.4.3 (07.10.20)

- Fix sending voice messages in scheduled messages section.
- Fix deleting profile / group / channel photos.
- Several crash fixes.

2.4.2 (02.10.20)

- Allow block, report and delete all messages from a user from "user joined" service message context menu.
- Fix admin badge display in groups.
- Fix loading and opening of comments in channels.

2.4.1 (01.10.20)

- Move by PageUp and PageDown in channel comments.
- Several layout bugfixes.
- Several crashfixes.

2.4 (30.09.20)

- Turn on "Remain Anonymous" in an admin's Permissions to let them post on behalf of the group and become invisible in the list of members.
- Comment on posts in channels that have a discussion group.
- Get notified about replies to your comments via the new Replies chat (if you are not a member of the discussion group).

2.3.2 (23.08.20)

- Revert custom window shadow on Linux.

2.3.1 (21.08.20)

- Fix Call Settings for Video Calls.

2.3 (14.08.20)

- Video Calls (alpha version).

2.2 (26.07.20)

- Quickly switch between different Telegram accounts if you use multiple phone numbers.
- Share and store unlimited files of any type, now up to 2000 MB each.
- Edit your scheduled messages.
- Use Auto-Night Mode to make Telegram night mode match the system Dark Mode settings.
- Also added an option to switch to system window frame in Windows and Linux.

2.1.22 beta (24.07.20)

- Fix crash in web page preview display.

2.1.21 beta (24.07.20)

- Edit your scheduled messages.
- See the unread messages indicator for the secondary accounts on the main menu button.
- Use Auto-Night Mode to make Telegram night mode match the system Dark Mode settings.
- Enjoy dark native window frame for Telegram night mode on Windows.

2.1.20 beta (17.07.20)

- Fix animated emoji.
- Fix crash in bot callback sending.

2.1.19 beta (16.07.20)

- File uploading in an inactive account correctly finishes.
- Stickers panel works correctly after switching between accounts.
- Large .webp files are not shown as stickers.
- MacBook TouchBar support was fully rewritten with fixes for multiple accounts.
- Custom window title bar works in all Linux versions.
- Passcode doesn't auto-lock while you're active in other apps on Linux X11.

2.1.18 beta (08.07.20)

- Fix a possible crash in Picture-in-Picture video player.
- Fix copying links from message texts.
- Raise file size limit to 2000 MB.
- Allow using system window frame in Windows and Linux.

2.1.17 beta (02.07.20)

- Fix messages editing in a non-active account.
- Fix large animated emoji messages editing.
- Fix high definition GIF animations opening in media viewer.
- Multiple crash fixes.

2.1.16 beta (01.07.20)

- Crash fix.

2.1.15 beta (30.06.20)

- Receive notifications only from the active account in Settings > Notifications.
- Fix saving chats list width between application relaunches.
- Multiple crash fixes.

2.1.14 beta (29.06.20)

- Support for multiple accounts.

2.1.13 (23.06.20)

- Fix photos loading.
- Fix Picture-in-Picture window movement on Wayland in Linux.

2.1.12 (17.06.20)

- Fix sticker and video results in inline bots.
- Fix clipboard issues in Linux.
- Fix several crashes.

2.1.11 (08.06.20)

- Fix launching on old Linux systems.

2.1.10 (05.06.20)

- Improve memory usage.
- Add support for full group message history export.
- Allow export of a single chat message history in JSON format.

2.1.9 beta (04.06.20)

- Several crash fixes.

2.1.8 beta (03.06.20)

- Add support for full group message history export.
- Allow export of a single chat message history in JSON format.

2.1.7 (24.05.20)

- Fix the Fcitx input method plugin.

2.1.6 (14.05.20)

- Bug fixes and other minor improvements.

2.1.5 (13.05.20)

- Disable the taskbar icon flash or the dock icon bounce in Settings > Notifications.
- View messages containing long monospace texts in wide bubbles.
- Bug fixes and other minor improvements.

2.1.4 (08.05.20)

- Improve bold font selection.

2.1.3 (08.05.20)

- Added support for new emoji.
- Channels to which you can't post will no longer be suggested when forwarding.
- Improved font selection and bold font support for CJK and Farsi.

2.1.2 (05.05.20)

- Fix polls and quizes results viewing.
- Fix memory leak in web page previews with autoplayed videos.
- Fix running on OS X 10.10.
- Other minor bug fixes and improvements.

2.1.1 (01.05.20)

- Improve quiz explanation tooltip layout.
- Fix possible crash in theme editor.
- Other minor bug fixes and improvements.

2.1 (24.04.20)

- Access a catalog of over 20,000 stickers made by professional artists from the updated Sticker Panel by clicking the '+' icon.
- Use sticker search to find the stickers you're looking for - or scroll from the latest packs all the way to the classics.
- Add explanations that appear after users respond to a quiz question.
- See how much time you have left to answer a question from @QuizBot with the new countdown animation.
- Send a single :dart: emoji to see if you hit the bullseye.

2.0.1 (31.03.20)

- Switch between folders using Ctrl+1, ..., Ctrl+8.
- Fix crash when a pinned in folder chat was added to archive.
- Fix font issues in Linux version.

2.0 (30.03.20)

- Organize chats into Chat Folders if you have too many chats.
- Create custom folders with flexible settings, or use default recommendations.
- Pin an unlimited number of chats in each folder.
- Switch between folders in the new side bar to easily access all of your chats.
- Send :dice: to any chat to try your luck and get a random number from the animated dice.
- Send :virus:, :face_with_thermometer:, :mask:, :face_with_head_bandage:, :sneeze:, :sick:, :soap: or :ambulance: to try out the new animated emoji.

1.9.22 beta (27.03.20)

- Organize chats into Chat Folders if you have too many chats.

1.9.21 (16.03.20)

- Mark new messages as read while scrolling down through them.
- Improved spellchecking on Windows 7 and Linux.

1.9.20 beta (14.03.20)

- Fix crash in shared links search.
- Fix blurred thumbnails in albums with video files.
- Fix a possible crash in animated stickers rendering.

1.9.19 beta (25.02.20)

- Bug fixes and other minor improvements.

1.9.18 beta (25.02.20)

- Bug fixes and other minor improvements.

1.9.17 beta (24.02.20)

- Spell checker on Windows 7.
- Bug fixes and other minor improvements.

1.9.16 beta (23.02.20)

- Bug fixes and other minor improvements.

1.9.15 beta (21.02.20)

- Mark new messages as read while scrolling down through them.
- Bug fixes and other minor improvements.

1.9.14 (17.02.20)

- Bug fixes and other minor improvements.

1.9.13 (12.02.20)

- Bug fixes and other minor improvements.

1.9.12 (11.02.20)

- Switch to Picture-in-Picture mode to watch your video in a small window while doing something else.
- Change playback speed in the '...' menu when watching videos.
- Rotate photos and videos in the media viewer using the rotate button in the bottom right corner.

1.9.11 beta (10.02.20)

- Bug fixes and other minor improvements.

1.9.10 beta (05.02.20)

- Switch to the Picture-in-Picture mode to watch your video in a small window.
- Change video playback speed in the playback controls '...' menu.
- Rotate photos and videos in the media viewer using the rotate button in the bottom right corner.

1.9.9 (28.01.20)

- Bug fixes and other minor improvements.

1.9.8 (24.01.20)

- Bug fixes and other minor improvements.

1.9.7 (23.01.20)

- Create three new kinds of polls.
- See who voted for what in polls with visible votes.
- Vote for several options in polls that allow multiple answers.
- Guess the correct answer in quiz-style polls.
- Explore various ways of combining the different poll options.
- Add polls from the '...' menu in any group or channel.
- Use bots like @QuizBot to create quizzes with several questions and media attachments.
- Schedule messages to be sent when your recipient comes online (only works if you know their online status).

1.9.6 (22.01.20)

- Bug fixes and other minor improvements.

1.9.5 (21.01.20)

- Bug fixes and other minor improvements.

1.9.4 (17.01.20)

- Bug fixes and other minor improvements.

1.9.3 (31.12.19)

- Videos in chats start playing automatically.
- Resume playback from where you left off when watching long videos and listening to long audio tracks.
- Control automatic playback for videos, GIFs and round video messages in Settings > Advanced > Automatic media download.
- Enjoy system spell checker support on all modern systems.

1.9.2 beta (29.12.19)

- Videos in chats start playing automatically.
- Resume playback from where you left off when watching long videos.
- Control videos, GIFs and round video messages automatic playback in Settings > Advanced > Automatic media download.
- Spell checker on Linux using Enchant.

1.9.1 beta (06.11.19)

- Bug fixes and other minor improvements.

1.9 beta (05.11.19)

- System spellchecker on Windows 8+ and macOS 10.12+.

1.8.15 (07.10.19)

- Bug fixes and other minor improvements.

1.8.14 (03.10.19)

- Bug fixes and other minor improvements.

1.8.13 (03.10.19)

- Bug fixes and other minor improvements.

1.8.12 (02.10.19)

- Bug fixes and other minor improvements.

1.8.11 (01.10.19)

- Bug fixes and other minor improvements.

1.8.10 (30.09.19)

- Bug fixes and other minor improvements.

1.8.9 (27.09.19)

- Bug fixes and other minor improvements.

1.8.8 (10.09.19)

- Create new themes based on your color and wallpaper choices.
- Share your themes with other users via links.
- Update your theme for all its users when you change something.

1.8.7 beta (10.09.19)

- Bug fixes and other minor improvements.

1.8.6 beta (09.09.19)

- Bug fixes and other minor improvements.

1.8.5 beta (08.09.19)

- Create new themes based on your color and wallpaper choices.
- Share your themes with other users via links.
- Update your theme for all its users when you change something.

1.8.4 (06.09.19)

- Bug fixes and other minor improvements.

1.8.3 (05.09.19)

- Right click the 'Send' button and select 'Schedule Message' to automatically send something at a specified time.
- Schedule reminders for yourself in the 'Saved Messages' chat.
- Get a notification when any of your scheduled messages are sent.
- Customize your app's appearance by choosing accent colors for the 'Day', 'Night' and 'Tinted' themes.
- Choose who can find you on Telegram when they add your number to their phone contacts.
- Send a single :grin:, :anguished:, :rage:, :poo:, :cry: or :open_mouth: to check out what's new in the animated emoji department.

1.8.2 (20.08.19)

- Bug fixes and other minor improvements.

1.8.1 (09.08.19)

- Bug fixes and other minor improvements.

1.8 (09.08.19)

- Right click the Send button to send any message without sound - in case the recipient is sleeping.
- Enable Slow Mode in Group Permissions to control how frequently members can post.
- Set custom titles for group admins - like 'Founder', 'CFO' or 'Spam Fighter'.
- Toggle looped playback for animated stickers in Chat Settings.
- Send a single :heart:, :like:, :unamused:, :flushed: or :party: to add a mighty animated emoji to the chat.

1.7.15 beta (18.07.19)

- Bug fixes and other minor improvements.

1.7.14 (07.07.19)

- Bug fixes and other minor improvements.

1.7.13 (06.07.19)

- Send ultra-lightweight high-quality animated stickers to express emotion with motion.
- Receive animated stickers instantly on any connection at just 20-30 KB per sticker.
- Enjoy smooth animations at 60 frames per second.
- Create new animated sets and upload them to @stickers for everybody to use.
- Try out these sample stickers: t.me/addstickers/hotcherry
- Use strikethrough and underline formatting.

1.7.12 beta (05.07.19)

- Bug fixes and other minor improvements.

1.7.11 beta (04.07.19)

- Use strikethrough and underline formatting.
- Bug fixes and other minor improvements.

1.7.10 (24.06.19)

- Bug fixes and other minor improvements.

1.7.9 (23.06.19)

- You can now add any users to your contacts, even if their phone numbers are not visible.
- Transfer ownership of group chats and channels by granting full rights to another admin. Useful when switching jobs or if you just want to retire as creator.
- Hide archived chats to the main menu.
- See who is online straight from the chat list.
- Use the MacBook Pro TouchBar to apply formatting to selected text, insert emoji, and send stickers.

1.7.8 beta (17.06.19)

- Hide archived chats in the main menu.
- See who is online straight from the chat list.
- Apply formatting to selected text parts from the MacBook Pro TouchBar.

1.7.7 (10.06.19)

- Bug fixes and other minor improvements.

1.7.6 beta (06.06.19)

- Bug fixes and other minor improvements.

1.7.5 beta (05.06.19)

- Crash fix.

1.7.4 beta (04.06.19)

- Download video files while watching them using streaming.
- Set EOL for Windows XP / Vista and OS X 10.6 to 10.9 at September 1.

1.7.3 (01.06.19)

- Bug fixes and other minor improvements.

1.7.2 (31.05.19)

- Choose who can see your phone number with granular precision in Privacy & Security settings.
- Add group chats to "Always/Never Share" exceptions for any privacy setting. Permissions will update as users leave and join the groups.
- Connect a discussion group to your channel, subscribers will see a "Discuss" button.
- Integrate bots seamlessly with web services. For example, see t.me/DiscussThis/1
- Use TouchBar on MacBooks Pro to control music playback and switch between pinned chats.

1.7.1 beta (28.05.19)

- Disable pinned messages notifications in Settings.

1.7 (08.05.19)

Introducing Archived Chats:

- Archive any chat from the right-click menu.
- Chats with enabled notifications will pop out of the archive when a notification arrives.
- Muted chats will stay in the archive.
- Pin an unlimited number of chats in your archive.

1.6.7 (13.04.19)

- Replace media when editing messages with media content.
- Jump quickly to the top of your chats list.
- Get emoji suggestions for the first word you type in a message.
- Help Telegram improve emoji suggestions in your language using this interface https://translations.telegram.org/en/emoji

1.6.6 beta (11.04.19)

- Bug fixes and other minor improvements.

1.6.5 beta (06.04.19)

- Bug fixes and other minor improvements.

1.6.4 beta (05.04.19)

- Replace media when editing messages with media content.
- Jump quickly to the top of your chats list.
- Get emoji suggestions for the first word you type in a message.
- Help Telegram improve emoji suggestions in your language using this interface https://translations.telegram.org/en/emoji

1.6.3 (25.03.19)

- Bug fixes and other minor improvements.

1.6.2 (24.03.19)

- Delete any message on both ends in any private chat, anytime.
- Control whether your forwarded messages link back to your account.
- Control who may see your profile picture.
- Enjoy the new streamlined group management screen.

1.6.1 (20.03.19)

- Bug fixes and other minor improvements.

1.6 (18.03.19)

- Play video files and listen to music without waiting for them to fully download.
- Press CTRL+0 (CMD+0 on macOS) to jump to your Saved Messages.

1.5.18 beta (15.03.19)

- Bug fixes and other minor improvements.

1.5.17 beta (13.03.19)

- Bug fixes and other minor improvements.

1.5.16 beta (12.03.19)

- Play video files and listen to received music without waiting for them to download.
- Press CTRL+0 (CMD+0 on macOS) to jump to your Saved Messages.

1.5.15 (12.02.19)

- Crash fix.

1.5.14 (12.02.19)

- Crash fix.

1.5.13 (12.02.19)

- Bug fixes and other minor improvements.

1.5.12 (09.02.19)

- Apply blur effects to backgrounds.
- Use the backgrounds you set in Telegram Desktop in all other Telegram apps.

1.5.11 (01.02.19)

- Bug fixes and other minor improvements.

1.5.10 (01.02.19)

- Bug fixes and other minor improvements.

1.5.9 (31.01.19)

- Bug fixes and other minor improvements.

1.5.8 (21.01.19)

- Global permissions for groups. Restrict all members in any group from posting certain types of content.
- Unified group settings. Make groups public, set admins with granular permissions and toggle persistent history in just a few clicks in any group.
- Choose the emoji set you would like to use in Chat Settings.
- Choose input and output devices for Telegram Calls in Settings > Advanced > Call Settings.
- Support for automatically downloading files and music.

1.5.7 beta (11.01.19)

- Choose the emoji set you would like to use in Settings > Chat Settings.
- Choose input and output devices for Telegram Calls in Settings > Adavanced > Call Settings.

1.5.6 beta (27.12.18)

- Fix crash on macOS.

1.5.5 beta (27.12.18)

- Support for auto-download of files and music.
- Improved auto-download settings.
- Bug fixes and other minor improvements.

1.5.4 (24.12.18)

- Bug fixes and other minor improvements.

1.5.3 (23.12.18)

- Create polls in groups and channels - right from the chat menu.

1.5.2 (13.12.18)

- Bug fixes and other minor improvements.

1.5.1 (11.12.18)

- Bug fixes and other minor improvements.

1.5 (10.12.18)

- Support for custom languages. Crowdsource a cloud-based language pack for Telegram in any language using our Translations platform - then apply it in real time.
- Interface scaling for large screens, up to 300% (up to 150% for macOS retina screens).
- 'Count unread messages' setting for the Badge counter in Settings > Notifications. Disable to show number of unread chats.
- Video messages displayed in shared media (under voice messages).
- Updated emoji. Farewell to question marks!

Also in this update:
- Listen to voice and video messages in 2X mode if you're in a hurry.
- Add a comment when sharing posts from channels.
- View all photos and videos in Twitter and Instagram link previews.
- Add emoji to media captions.

1.4.8 beta (04.12.18)

- Add emoji to media captions.
- Switch off the 'Count unread messages' option in Settings > Notifications if you want to see the unread chats count in the badge instead.

1.4.7 beta (10.11.18)

- Crash fix.

1.4.6 beta (09.11.18)

- Bug fixes and other minor improvements.

1.4.5 beta (08.11.18)

- Listen to voice and video messages in 2X mode if you're in a hurry.
- Find video messages in the shared voice messages section.
- Add a comment when you share posts from channels.
- View all photos and videos in Twitter and Instagram link previews.
- Bug fixes and other minor improvements.

1.4.4 beta (16.10.18)

- Interface scaling for large screens, up to 300% (up to 150% for macOS retina screens).
- Updated emoji.

1.4.3 (13.10.18)

- Bug fixes and other minor improvements.

1.4.2 (10.10.18)

- Crash fix.

1.4.1 (09.10.18)

- Reduce crashes due to the out of memory exceptions.
- Load map previews through mtproto.
- Bug fixes and other minor improvements.

1.4 (28.09.18)

- Fully redesigned Settings section.
- New theme selector in Chat Settings.
- New local storage settings: Control how much disk space is used by the cache and for how long the cached files are stored.
- Improved local caching for images and GIF animations.
- New settings: Peer-to-Peer settings for calls, disable animations for low performance computers.
- Various other improvements.

1.3.17 beta (26.09.18)

- Fully redisigned Settings section.
- New theme selector in Chat Settings.
- New settings: Peer-to-Peer settings for calls, disable animations for low performance computers.
- Various other improvements.

1.3.16 alpha (04.09.18)

- Update libtgvoip, fix crash in calls.
- Fix crash in local cache database.
- Clear old local cache asynchronously.

1.3.15 alpha (01.09.18)

- Improved local caching for images and GIF animations.
- Control how much disk space is used by the cache and for how long the cached files are stored.

1.3.14 (27.08.18)

- Fix a crash in calls.

1.3.13 (25.08.18)

- Export data from individual chats using the '...' menu.
- Added a new night theme.
- You can now assign custom themes as night and day themes to quickly switch between them.
- Support for Telegram Passport 1.1 and improved password hashing algorithm to better protect Telegram Passport data.

1.3.12 alpha (04.08.18)

- Bug fixes and other minor improvements.

1.3.11 alpha (01.08.18)

- Added a new night theme.
- You can now assign custom themes as night and day themes to quickly switch between them.

1.3.10 (13.07.18)

- Bug fixes and other minor improvements.

1.3.9 (28.06.18)

- Mark chats in the chat list as Read or Unread.
- Improved censorship circumvention.

1.3.8 (24.06.18)

- Bug fixes and other minor improvements.

1.3.7 (11.06.18)

- Push fixes to stable version.

1.3.6 alpha (11.06.18)

- Bug fixes and other minor improvements.

1.3.5 alpha (08.06.18)

- Bug fixes and other minor improvements.

1.3.4 alpha (07.06.18)

- Bug fixes and other minor improvements.

1.3.3 alpha (07.06.18)

- Bug fixes and other minor improvements.

1.3.2 alpha (07.06.18)

- Bug fixes and other minor improvements.

1.3.1 alpha (04.06.18)

- Bug fixes and other minor improvements.

1.3.0 (01.06.18)

- Improved censorship circumvention.
- Improved stability when working through proxy servers.
- Save several proxy servers to quickly switch between them in Settings.
- Use proxy for calls.
- Emoji and text replacement now happens immediately after typing (instead of after sending) and can be rolled back using Backspace or CTRL/CMD + Z. Replacement no longer happens when pasting text.

Added formatting shortcuts. Select text and use:
- CTRL/CMD + B/I for bold and italic
- CTRL/CMD + K to create or edit a custom link
- CTRL/CMD + SHIFT + M for monospace font
- CTRL/CMD + SHIFT + N to clear formatting

1.2.25 alpha (31.05.18)

- Apply markdown formatting (```, `, **, __) only when sending the message.
- Display connection quality bars in calls.
- Telegram Desktop can update itself through MTProto.
- Bug fixes and other minor improvements.

1.2.24 alpha (26.05.18)

- Add links with custom text from context menu or by Ctrl/Cmd + K keyboard shortcut.

1.2.23 alpha (25.05.18)

- Apply formatting from input field context menu.
- Apply formatting by hotkeys.
- Bug fixes and other minor improvements.

1.2.22 alpha (24.05.18)

- Use markdown in media captions (**bold**, __italic__, `tag` and ```code```).
- Use emoji replacement in media captions, group and channel titles and descriptions (:like: etc.)
- Markdown replacement now happens immediately after typing (instead of after sending) and can be rolled back using Backspace or Ctrl/Cmd + Z. Replacement no longer happens when pasting text.

1.2.21 alpha (18.05.18)

- Support domain names in mtproto proxy.
- Bug fixes and other minor improvements.

1.2.20 alpha (13.05.18)

- Emoji and text replacements are done while you type the message.
- Revert emoji and text replacements by pressing backspace.
- Disable emoji replacements or suggestions in Settings.
- Some critical bug fixes.

1.2.19 alpha (08.05.18)

- Enable proxy for calls in Settings.
- Bug fixes and other minor improvements.

1.2.18 alpha (05.05.18)

- Improve working through proxy servers.
- Bug fixes and other minor improvements.

1.2.17 (08.04.18)

- Bug fixes and other minor improvements.

1.2.16 (07.04.18)

- Bug fixes and other minor improvements.

1.2.15 (26.03.18)

- Bug fixes and other minor improvements.

1.2.14 (21.03.18)

- Discover new stickers. Type one emoji to see suggestions from popular sticker sets. Suggestions from your installed sticker sets will come first.
- Search for Stickers. Click on the new search icon to access your sticker sets or find new ones.
- Quick Reply. Double click near a message for a quick reply.

1.2.13 alpha (21.03.18)

- Bug fixes and other minor improvements.

1.2.12 alpha (12.03.18)

- Bug fixes and other minor improvements.

1.2.11 alpha (10.03.18)

- Bug fixes and other minor improvements.

1.2.10 alpha (09.03.18)

- Bug fixes and other minor improvements.

1.2.9 alpha (07.03.18)

- Quick Reply. Double click near a message for a quick reply.
- Search for Stickers. Click on the new search icon to access your sticker sets or find new ones.

1.2.8 alpha (03.01.18)

- Bug fixes and other minor improvements.

1.2.7 alpha (31.12.17)

- Use fast reply button in group chats.
- Select a message you want to reply to by pressing Ctrl+Up and Ctrl+Down.

1.2.6 (30.12.17)

- Grouped Photos. Group media into an album when sharing multiple photos and videos. Choose the exact order of media you send.

1.2.5 alpha (29.12.17)

- When viewing a photo from an album, you'll see other pictures from the same group as thumbnails in the lower part of the screen.
- When composing an album paste additional media from the clipboard.
- Bug fixes and other minor improvements.

1.2.4 alpha (26.12.17)

- Group media into an album when sharing multiple photos and videos.
- Bug fixes and other minor improvements.

1.2.3 alpha (17.12.17)

- Several crash fixes.

1.2.2 alpha (16.12.17)

- Grouped photos and videos are displayed as albums.

1.2.1 (12.12.17)

- Bug fixes and other minor improvements.

1.2.0 (10.12.17)

- Radically improved navigation. New side panel on the right with quick access to shared media and group members.
- Saved Messages. Bookmark messages by forwarding them to "Saved Messages". Access them from the Chats list or from the side menu.
- Pinned Messages. If you are a channel admin, pin messages to focus your subscribers' attention on important announcements.
- Easily recognize messages from group admins by the new 'admin' badge.
- Also supported clearing history in supergroups and added a host of minor improvements.

1.1.29 alpha (09.12.17)

- Bug fixes and other minor improvements.

1.1.28 alpha (09.12.17)

- Bug fixes and other minor improvements.

1.1.27 alpha (06.12.17)

- Bookmark messages by forwarding them to "Saved Messages". Access them from the Chats list or from the side menu.

1.1.26 alpha (02.12.17)

- Admin badges in supergroup messages.
- Fix crashing on launch in OS X 10.6.
- Bug fixes and other minor improvements.

1.1.25 alpha (30.11.17)

- Bug fixes and other minor improvements.

1.1.24 alpha (29.11.17)

- Radically improved navigation. New side panel on the right with quick access to shared media and group members.
- Pinned Messages. If you are a channel admin, pin messages to focus your subscribers' attention on important announcements.
- Also supported clearing history in supergroups and added a host of minor improvements.

1.1.23 (05.09.17)

- See the message author photo and name while searching specific chat messages.
- Fix "Send To" menu action on Windows.

1.1.22 (04.09.17)

- Bug fixes and other minor improvements.

1.1.21 (03.09.17)

- Bug fixes and other minor improvements.

1.1.20 (03.09.17)

- Groups with unread mentions and replies are now marked with an '@' badge in the chats list.
- Navigate new mentions and replies in a group using the new '@' button.
- Mark your stickers as “favorite” to quickly access them from the redesigned sticker panel.
- Add an official sticker set for your group which all members will be able to use while chatting in your group (100+ member groups only).

1.1.19 (01.08.17)

- Search by messages of specific group members.
- Bug fixes and other minor improvements.

1.1.18 (27.07.17)

- Bug fixes and other minor improvements.

1.1.17 (26.07.17)

- Bug fixes and other minor improvements.

1.1.16 (26.07.17)

- Autocompletion for emoji. Start typing :e to get suggestions.
- Fixed a bug with forwarding messages.

1.1.15 (23.07.17)

- Send **bold** and __italic__ text in your messages.
- Get a share link for posts in public supergroups.
- Quickly share posts from channels and media messages from bots.
- Search large supergroup members by name.
- Search channel members by name for admins.
- Use search in the service actions log.
- Ban supergroup members via the right click menu in the service actions log.

1.1.14 alpha (19.07.17)

- Bug fixes and other minor improvements.

1.1.13 alpha (14.07.17)

- Various bug fixes.

1.1.12 alpha (11.07.17)

- Click on forwarded messages bar to change the recipient chat in case you chose a wrong one first.
- Quickly share posts from channels and media messages from bots.
- Search in large supergroup members by name.
- Search in channel members by name if you're a channel admin.
- Copy links to messages in public supergroups.

1.1.11 alpha (06.07.17)

- Send **bold** and __italic__ text in your messages (in addition to already supported `monospace` and ```multiline monospace```).
- Search in channel and supergroup admin event log.
- Ban members from right click menu in supergroup admin event log.

1.1.10 (04.07.17)

- Add event log filter for channel or supergroup event log.
- Fix search by username in privacy exceptions editor.
- Fix adding admins in channels.

1.1.9 (30.06.17)

- Supergroups can now have up to 10.000 members.
- Appoint supergroup admins with granular rights. Choose who can add users, manage messages, block members, edit group info & username, add new admins, etc.
- Restrict and ban supergroup members with granular precision. Read-only bans, GIF & sticker bans, media bans, temporary bans and restrictions.
- Check the new event log to see all service actions taken by members and admins of a channel or supergroup in the last 48 hours.
- Toggle night mode in the main menu.

1.1.8 alpha (30.06.17)

- Toggle night mode in the main menu.

1.1.7 (30.05.17)

- Improved video messages: radial playback progress, Picture-in-Picture support, duration countdown.
- Voice and video messages now automatically play one after another.

1.1.6 alpha (26.05.17)

- Bug fixes and other minor improvements.

1.1.5 alpha (26.05.17)

- Bug fixes and other minor improvements.

1.1.4 (24.05.17)

- Fix a crash in animated history scrolling.
- Fix a bug with pinned chat to supergroup upgrade.

1.1.3 (24.05.17)

- Improved video messages playback.
- Video and audio messages play one after another.

1.1.2 (17.05.17)

- Emoji icon tooltip about hiding the sidebar.
- Fix possible calls deadlock in Linux.
- Preserve Emoji/Stickers/GIFs panel state between activations.

1.1.1 alpha (17.05.17)

- Emoji icon tooltip about hiding the sidebar.
- Fix possible calls deadlock in Linux.

1.1.0 (14.05.17)

- Telegram Calls are now available on desktops: secure, crystal-clear, constantly improved by artificial intelligence.
- The new Emoji, Stickers, and Saved GIFs panel becomes a separate space on the right when Telegram is running in a wide enough window.
- Manage blocked users list in your supergroups.
- Chat admins can delete messages by other members.

1.0.38 alpha (13.05.17)

- Fix crashes in Windows XP.
- Fix calls in Linux without SSE4.1 support.
- PulseAudio support in calls.
- Bug fixes and other minor improvements.

1.0.37 alpha (10.05.17)

- Multiple crash fixes.

1.0.36 alpha (09.05.17)

- Telegram Calls are now available on desktops: secure, crystal-clear, constantly improved by artificial intelligence.
- Bug fixes and other minor improvements.

1.0.35 alpha (30.04.17)

- Chat admins can delete other participants' messages.
- Bug fixes and other minor improvements.

1.0.34 alpha (21.04.17)

- Bug fixes and other minor improvements.

1.0.33 alpha (16.04.17)

- Bug fixes and other minor improvements.

1.0.32 alpha (12.04.17)

- Testing a build with the latest API layer.
- Bug fixes and other minor improvements.

1.0.31 alpha (11.04.17)

- Bug fixes and other minor improvements.

1.0.30 alpha (11.04.17)

- The new Emoji, Stickers, and Saved GIFs panel becomes a separate space on the right when Telegram is running in a wide enough window.
- Manage blocked users list in your supergroups.

1.0.29 (05.04.17)

- Improved Emoji, Stickers, and Saved GIFs panel.
- Bug fixes and other minor improvements.

1.0.28 alpha (03.04.17)

- Better Emoji & Stickers & Saved GIFs panel.
- Linux: Tray icon should work better in GNOME based Desktop Environments.
- Bug fixes and other minor improvements.

1.0.27 (31.03.17)

- Fix launch in Ubuntu 17.04.
- Update API scheme.

1.0.26 (30.03.17)

— Send MP4/MOV files as videos that will play right inside Telegram.
— Click on the date in any chat to quickly jump to messages from a specific day.
— Change your phone number in Settings.
— Edit who can see your last seen time and who can add you to groups in Settings.
— Edit your list of blocked users in Settings.
— App now respects the "Do Not Disturb" setting for macOS notifications.
— Bug fixes and other minor improvements.

1.0.25 alpha (21.03.17)

- Edit your account phone number in Settings.

1.0.24 alpha (19.03.17)

- Added Last Seen and Group Invite privacy settings.

1.0.23 alpha (15.03.17)

- Edit list of blocked users in Settings.

1.0.22 alpha (13.03.17)

- Bug fixes and other minor improvements.

1.0.21 alpha (11.03.17)

- Send MP4/MOV files as videos that will play right inside Telegram.
- Bug fixes and other minor improvements.

1.0.20 alpha (08.03.17)

- Bug fixes and other minor improvements.

1.0.19 alpha (08.03.17)

- Go to date. Click on the date in a chat to jump to a specific day.
- Respect macOS "Do not disturb" settings for sound notifications.
- Bug fixes and other minor improvements.

1.0.18 alpha (01.03.17)

- Bug fixes and other minor improvements.

1.0.17 alpha (28.02.17)

- Bug fixes and other minor improvements.

1.0.16 alpha (27.02.17)

- Bug fixes and other minor improvements.

1.0.15 alpha (27.02.17)

- Wrong supergroup members display fix.
- RTL text layout fix.
- Linux GTK file choose dialog should show image previews.
- Bug fixes and other minor improvements.

1.0.14 (20.02.17)

- Bug fixes and other minor improvements.

1.0.13 (20.02.17)

- Bug fixes and other minor improvements.

1.0.12 (19.02.17)

- Support for more emoji.
- Click and drag on waveform to play audio from a chosen moment.
- Added Theme editor to Settings.
- Bug fixes and other minor improvements.

1.0.11 alpha (17.02.17)

- Bug fixes and other minor improvements.

1.0.10 alpha (17.02.17)

- Support for more emoji.
- Bug fixes and other minor improvements.

1.0.9 alpha (11.02.17)

- Bug fixes and other minor improvements.

1.0.8 alpha (11.02.17)

- Click and drag on waveform to play audio from a chosen moment.

1.0.7 alpha (07.02.17)

- Added Theme editor to Settings.

1.0.6 (01.02.17)

- Bug fixes and other minor improvements.

1.0.5 (31.01.17)

- Click and drag to reorder pinned chats.
- Bug fixes and other minor improvements.

1.0.4 alpha (30.01.17)

- Click and drag to reorder pinned chats.

1.0.3 alpha (27.01.17)

- Audio device is opened only when some sound is played.
- On Windows Vista and later audio device should switch after the system default changes.

1.0.2 (19.01.17)

- New option to minimize the chat list into a column of profile pictures.  Resize the list by clicking and dragging.
- Fixed drag-n-drop images from Firefox on Windows.
- Bug fixes and other minor improvements.

1.0.1 alpha (16.01.17)

- Resize chats list with mouse press-and-drag.
- Drag-n-drop images from Firefox fixed in Windows.
- Bug fixes and other minor improvements.

1.0.0 (11.01.17)

- Fabulous new material-style design and animations.
- Support for custom themes! Check out some themes here: @TelegramThemes.
- Convenient tools for building your own themes coming soon.
- Delete messages for everyone. When you delete your messages in groups and one-on-one chats, you can now choose to delete them for everyone in the chat, not just yourself. This works only for recently sent messages (same as editing).
- Pin important chats to the top of the list so that you never miss a new message (right click on a chat, then choose 'Pin to top').
- Groups in common. A new option in your contacts' profiles that shows a list of all groups you share with that person.

0.10.27 alpha (11.01.17)

- Appoint admins in your supergroups from members list context menu.
- Bug fixes and other minor improvements.

0.10.26 alpha (07.01.17)

- You can use t.me instead of telegram.me.
- OpenAL updated to the latest version.
- Bug fixes and other minor improvements.

0.10.25 alpha (05.01.17)

- Bug fixes and other minor improvements.

0.10.24 alpha (05.01.17)

- Bug fixes and other minor improvements.

0.10.23 alpha (01.01.17)

- Bug fixes and other minor improvements.

0.10.22 alpha (31.12.16)

- Bug fixes and other minor improvements.

0.10.21 alpha (30.12.16)

- Fabulous new material-style design and animations.
- This version already supports custom themes that are coming soon.
- Pin important chats to the top of the list so that you never miss a new message (right click on a chat, then choose 'Pin to top').
- Groups in common. A new option in your contacts' profiles that shows a list of all groups you share with that person.

0.10.20 (18.12.16)

- Bug fixes and other minor improvements.

0.10.19 (25.10.16)

- Bug fixes and other minor improvements.

0.10.18 (24.10.16)

- New cute design for adding members to your groups.

0.10.17 alpha (23.10.16)

- New cute control for adding members to your groups.

0.10.16 (19.10.16)

- New audio player design.
- Quick reply from notifications.
- Hide all notifications button added.
- Change notifications location and maximum count.
- Respecting quiet hours for the notifications.
- You can enable native notifications in Settings.

0.10.15 alpha (18.10.16)

- Bug fixes and other minor improvements.

0.10.14 alpha (18.10.16)

- New audio player design.
- Moved to Qt library version 5.6.2.
- Windows 10: Respecting quite hours for the notifications.

0.10.13 alpha (07.10.16)

- Bug fixes and other minor improvements.

0.10.12 alpha (07.10.16)

- Quick reply from notifications.
- Hide all notifications button added.
- Change notifications location and maximum count.
- Linux: You can enable native notifications in Settings.

0.10.11 (03.10.16)

- Bug fixes and other minor improvements.

0.10.10 (03.10.16)

- Bug fixes and other minor improvements.

0.10.9 (03.10.16)

- Bug fixes and other minor improvements.

0.10.8 (23.09.16)

- Bug fixes and other minor improvements.

0.10.7 (20.09.16)

- Bug fixes and other minor improvements.

0.10.6 (13.09.16)

- Bug fixes and other minor improvements.

0.10.5 (12.09.16)

- New cute design for the Settings page.
- Bug fixes and other minor improvements.

0.10.4 alpha (03.09.16)

- Bug fixes and other minor improvements.

0.10.3 alpha (02.09.16)

- New cute design for the Settings page.

0.10.2 alpha (14.08.16)

- Bug fixes and other minor improvements.

0.10.1 (05.08.16)

- Bug fixes and other minor improvements.

0.10.0 (03.08.16)

- Trending stickers. Check out and install noteworthy sticker packs from the new tab in Settings.
- Archived stickers. Unused stickers are now archived automatically when you go over the 200 limit.
- Group previews. Preview groups before joining them via invite link – see who else is in the group before joining.
- New internal video player.
- Improved design for chats.

0.9.60 alpha (24.07.16)

- Bug fixes and other minor improvements.

0.9.59 alpha (23.07.16)

- Bug fixes and other minor improvements.

0.9.58 alpha (22.07.16)

- Alpha version of an embedded video player.

0.9.57 alpha (07.07.16)

- Design improvements.
- Linux: trying to use GTK file chooser when it is available.

0.9.56 stable (26.06.16)

- Fixed photo viewer to handle screen resolution change correctly.
- Fixed forwarding photos via drag-n-drop.
- Various design improvements and other bug fixes.

0.9.55 alpha (24.06.16)

- Main window position and size are saved between the launches in Windows.
- Dock and top bar hiding fixed in OS X.
- Various design improvements and other bug fixes.

0.9.54 alpha (22.06.16)

- Photo viewer handles screen resolution change.
- Forward photo by drag-n-drop fixed.
- Some design improvements and bug fixes.

0.9.53 alpha (21.06.16)

- Put your cursor over the members count in a group chat to see the members list.
- Bug fixes and other minor improvements.

0.9.52 alpha (17.06.16)

- Bug fixes and other minor improvements.

0.9.51 stable (15.06.16)

- Bug fixes and other minor improvements.

0.9.50 stable (14.06.16)

- Introducing Drafts: Seamless syncing for unsent messages on all your devices. Drafts are now visible in your chats list.
- Completely redesigned group and user profiles.
- Unread messages counter on the 'Scroll to bottom' button.

0.9.49 stable (16.05.16)

- Edit your messages everywhere within 2 days after posting (press the up arrow button to edit your last message).
- Mention people in groups by typing @ and selecting them from the list — even if they don't have a username.

0.9.48 stable (10.05.16)

- Bug fixes and other minor improvements.

0.9.47 alpha (02.05.16)

- Bug fixes and other minor improvements.

0.9.46 alpha (27.04.16)

- Alpha versions instead of dev.
- Bug fixes and other minor improvements.

0.9.45 dev (22.04.16)

- Bug fixes and other minor improvements.

0.9.44 stable (20.04.16)

- Bug fixes and other minor improvements.

0.9.43 dev (14.04.16)

- Select and copy text in photo / video captions and web page previews.
- Media player shortcuts are enabled only when player is opened.

0.9.42 stable (12.04.16)

- Bug fixes and other minor improvements.

0.9.41 stable (11.04.16)

- Introducing Bot API 2.0, the biggest update to our bot platform since June 2015.
- Bots can now update existing messages on the fly as you interact with them.
- New Inline keyboards with callback, 'open URL' or 'switch to inline mode' buttons help create seamless interfaces.
- Inline bots can now send all attachments supported by Telegram (videos, music, stickers, locations, etc.).

0.9.40 stable (05.04.16)

- Visual improvements.

0.9.39 dev (01.04.16)

- Bug fixes and other minor improvements.

0.9.38 dev (01.04.16)

- Bug fixes and other minor improvements.

0.9.37 dev (31.03.16)

- Bug fixes and other minor improvements.

0.9.36 dev (26.03.16)

- Bug fixes and other minor improvements.

0.9.35 dev (25.03.16)

- Design improvements.

0.9.34 dev (17.03.16)

- Bug fixes and other minor improvements.

0.9.33 stable (16.03.16)

- Linux version critical bug fixed.

0.9.32 stable (14.03.16)

- Bug fixes and other minor improvements.

0.9.31 stable (14.03.16)

- Supergroups can now have 5,000 members (up from 1,000).
- Groups of any size may be converted to supergroups.
- Make your supergroup public by setting up a public link – anyone will be able to view the chat and join it.
- Pin messages to keep important updates visible and notify all members.
    'Select messages to delete, report as spam, block users, or remove all messages from a user'

0.9.30 dev (03.03.16)

- Bug fixes and other minor improvements.

0.9.29 dev (01.03.16)

- Ctrl+W or Ctrl+F4 for close window (Cmd in OS X).
- Ctrl+L to lock Telegram if you use a local passcode (Cmd in OS X).

0.9.28 stable (26.02.16)

- Edit your messages in channels and supergroups.
- Share links to specific posts in channels via the post context menu.
- Add admin signatures to messages in channels.
- Send silent messages in channels that will not notify members, useful for non-urgent or late night posting.

0.9.27 dev (25.02.16)

- Edit your messages in channels and supergroups.
- Share links to specific posts in channels via the post context menu.
- Add admin signatures to messages in channels.
- Send silent messages in channels that will not notify members, useful for non-urgent or late night posting.

0.9.26 stable (22.02.16)

- Adaptive layout for wide screens switch added to Settings.
- Linux version crash fix.

0.9.25 dev (21.02.16)

- Adaptive layout for wide screens switch added to Settings.
- Linux version crash fix.

0.9.24 stable (16.02.16)

- New waveform visualizations for voice messages.
- Sticker suggestions when you type an emoji.

0.9.23 dev (15.02.16)

- Bug fixes and other minor improvements.

0.9.22 dev (14.02.16)

- Voice messages waveform visualizations.

0.9.21 dev (09.02.16)

- Bug fixes and other minor improvements.

0.9.20 dev (08.02.16)

- Testing new crash reporting system.
- Conversation history is centered in wide windows.
- New cute link and timestamp tooltips design.
- Ctrl+W or Ctrl+F4 closes Telegram window.

0.9.19 dev (09.01.16)

- Choose an emoticon and see the suggested stickers.

0.9.18 stable (05.01.16)

- Bug fixes and minor improvements.

0.9.17 stable (04.01.16)

- Crash fixed.

0.9.16 stable (04.01.16)

- GIFs autoplay and automatic download.
- Inline bots support.
- Automatic download settings added.
- All media redesigned.

0.9.15 stable (09.12.15)

- Sticker management: manually rearrange your sticker packs, pack order is now synced across all your devices.
- Click and hold on a sticker to preview it before sending.
- New context menu for chats in chats list.
- Support for all existing emoji.

0.9.14 dev (09.12.15)

- Sticker management: manually rearrange your sticker packs, pack order is now synced across all your devices.
- Click and hold on a sticker to preview it before sending.
- New context menu for chats in chats list.
- Support for all existing emoji.

0.9.13 stable (25.11.15)

- Groups can now have multiple administrators with the ability to edit the name and logo, and add and remove members.
- Groups that have reached their capacity of 200 users can be upgraded to supergroups of up to 1,000 members.

0.9.12 dev (22.11.15)

- Bug fixes and other minor improvements.

0.9.11 dev (22.11.15)

- Groups can now have multiple administrators with the ability to edit the name and logo, and add and remove members.
- Groups that have reached their capacity of 200 users can be upgraded to supergroups of up to 1,000 members.

0.9.10 stable (04.11.15)

- New shared audio files section.
- New design for popup menus.
- Add captions to any photos you send.
- Surround text with `single backticks` for inline monowidth code and ```triple backticks``` for blocks of code.
- The Tilde symbol is now displayed correctly.

0.9.9 dev (02.11.15)

- New popup menus in text input fields.
- Error is displayed when trying to paste or drop a folder instead of a file.
- Some bugfixes and improvements.

0.9.8 dev (28.10.15)

- Tilde symbol fixed in message input field.
- Add a caption to any photo you send.
- Bad sound quality bug fixed.
- Some bugfixes and improvements.

0.9.7 dev (23.10.15)

- Tilde symbol display fixed.
- Bold and Italic text display from bots supported.
- Send code without text and emoji replaces using `such syntax` for inline parts and ```such syntax``` for blocks of code.
- Some bugfixes and improvements.

0.9.6 stable (14.10.15)

- Bug fixes and other minor improvements.
  ),
 ),
0.9.5 stable (14.10.15)

- Improved speed.
- First steps towards a new design.
  ),
 ),
0.9.4 dev (12.10.15)

- New design for all modal windows.
- Toggle notifications from tray menu.

0.9.3 dev (01.10.15)

- Dialogs and emoji render made much faster.

0.9.2 stable (25.09.15)

- Bug fixes and other minor improvements.

0.9.1 stable (24.09.15)

- Bug fixes and other minor improvements.

0.9 stable (24.09.15)

- Introducing Channels — a great new way to broadcast your messages to unlimited audiences.
- Other fixes and improvements.

0.8.59 dev (23.09.15)

- Channels members and admins management added.

0.8.58 dev (22.09.15)

- Limited Channels support added.

0.8.57 stable (13.09.15)

- Bug fixes and other minor improvements.

0.8.56 stable (10.09.15)

- Spam report buttons in new chats.
- Other fixes and improvements.
- OS X 10.8 notifications fixed.

0.8.55 stable (02.09.15)

- Include muted chats in unread count in Settings.
- Shared links overview and search in shared media.
- Preview when sending links to GIF animations and PDF files.

0.8.54 dev (31.08.15)

- Preview when sending links to GIF animations and PDF files.
- Full date and time shown when mouse over message timestamp.

0.8.53 dev (28.08.15)

- Include muted chats in unread count in Settings.
- Shared links overview and search in shared media.

0.8.52 stable (19.08.15)

- Bug fixes and other minor improvements.

0.8.51 stable (17.08.15)

- Block users from their profile page.
- Added support for Windows toast notifications.
- Fixed input methods on Linux (Fcitx and IBus).

0.8.50 dev (14.08.15)

- Bug fixes in Windows notifications.
- Fixed input methods on Linux (Fcitx and IBus).

0.8.49 dev (12.08.15)

- Block users from user profile.
- Ask support team a question from Settings.
- Windows toast notifications support added.

0.8.48 stable (08.08.15)

- Search for messages in conversation.
- Clear messages history in groups.
- Contacts without messages are hidden from the conversations list.

0.8.47 dev (07.08.15)

- Search for messages in conversation.
- Clear messages history in groups.
- Contacts without messages are hidden from the conversations list.

0.8.46 stable (05.08.15)

- Crash fix on sending .webp files.

0.8.45 stable (03.08.15)

- Bug fixes and other minor improvements.

0.8.44 dev (01.08.15)

- Sending media and recording audio status display.

0.8.43 stable (31.07.15)

- Bug fixes and other minor improvements.

0.8.42 dev (31.07.15)

- Dev version will now get updated to stable as well.

0.8.41 dev (21.07.15)

- Pretty phone number formatting.
- Fixed shared contacts display.
- Fix KDE crash, use Qt tray icon in all Linux systems.

0.8.40 dev (17.07.15)

- Fixed critical Qt bug in image scale.
- Huge amount of unread messages are loaded much faster.
- Some bugfixes and optimizations.

0.8.39 dev (14.07.15)

- Moved to Qt 5.5 and Xcode 6.4.
- Some bugfixes and optimizations.
- In OS X 10.10.3 location marks sent from mobile should be displayed now.

0.8.38 stable (03.07.15)

- Improved in-app media playback.

0.8.37 dev (03.07.15)

- Improved in-app media playback.

0.8.36 stable (01.07.15)

- Forward photos, media and stickers with drag-n-drop.
- Drag-n-drop text messages by timestamp to forward them.
- Larger stickers panel.
- IPv6 checkbox added to Connection Type in Settings.

0.8.35 dev (30.06.15)

- Bug fixes and minor improvements.

0.8.34 dev (28.06.15)

- Forward photos, media and stickers with drag-n-drop.
- Drag-n-drop text messages by timestamp to forward them.
- Larger stickers panel.

0.8.33 dev (25.06.15)

- IPv6 connection checkbox added to Connection Type box in Settings.

0.8.32 stable (25.06.15)

- Critical bug fixed.
- IPv6 connection temporarily disabled.

0.8.31 dev (24.06.15)

- Bots support using the new bot API.
- Drag-n-drop selected text and links from messages.
- Forward selected messages by drag-n-drop.

0.8.30 stable (24.06.15)

- Bots support using the new bot API.

0.8.29 dev (22.06.15)

- Bug fixes and minor improvements.

0.8.28 dev (18.06.15)

- Bug fixes and minor improvements.

0.8.27 dev (17.06.15)

- Bug fixes and minor improvements.

0.8.26 dev (17.06.15)

- Bug fixes and minor improvements.

0.8.25 dev (15.06.15)

- IPv6 connections support.

0.8.24 stable (08.06.15)

- Improved sticker panel.

0.8.23 dev (05.06.15)

- Improved sticker panel.
- New autoupdate check.

0.8.22 dev (04.06.15)

- OpenAL updated to a new version.
- Autoupdating improved.
- Bugfixes.

0.8.21 stable (02.06.15)

- Added sending voice messages.
- Fixed disappearing stickers.

0.8.20 dev (02.06.15)

- Minor bug fixes.
- Translations improved.

0.8.19 dev (02.06.15)

- Fixed disappearing stickers.

0.8.18 dev (01.06.15)

- Voice messages recording and sending.

0.8.17 stable (21.05.15)

- Crash fix.

0.8.16 stable (20.05.15)

- Added support for sticker packs.
- New emoji and sticker panel.

0.8.15 dev (20.05.15)

- Video captions are displayed.
- Photo captions are displayed in photo viewer.
- Round corners for messages.

0.8.14 dev (19.05.15)

- Added support for sticker packs.
- New emoji and sticker panel.

0.8.13 stable (12.05.15)

- Added support for new emoji.
- Improved emoji and stickers panel.

0.8.12 dev (08.05.15)

- New emojis support added.
- Emojis and stickers panel improved.

0.8.11 stable (01.05.15)

- Invite links for group chats.
- Gray unread badge for muted conversations.

0.8.10 dev (01.05.15)

- Critical bug fixes for messages history loading.

0.8.9 dev (30.04.15)

- Fix for invite links.

0.8.8 dev (30.04.15)

- Invite links for group chats.
- Gray unread badge for muted conversations.

0.8.7 stable (24.04.15)

- New photo viewer design.
- Switch between files in the photo viewer.
- Grouped notifications when several messages are forwarded.
- New default chat background image (you can change it in Settings).

0.8.6 dev (24.04.15)

- Old default chat background image placed first in background Gallery.
- Forwarded files, videos, audios and contacts original sender name is displayed.
- Grouped notifications when several messages are forwarded.

0.8.5 dev (22.04.15)

- New photoviewer design.
- Switch through files overview in photoviewer.
- New default chat background image.

0.8.4 stable (13.04.15)

- Link preview layout bug fix.

0.8.3 stable (08.04.15)

- Link previews for Twitter, YouTube, Instagram and certain other links.
- Two-step verification.
- View all your Telegram sessions, terminate specific sessions.

0.8.2 dev (07.04.15)

- Link previews bugfixes.
- Links in preview descriptions are now clickable.
- Twitter and Instagram mentions and hashtags in previews are clickable.
- Fixed file uploading.
- Fixed photo, document and sticker forwarding.

0.8.1 dev (05.04.15)

- Link previews for Twitter, YouTube, Instagram and certain other links.
- Two-step verification.
- View all your Telegram sessions, terminate specific sessions.
- Text is pasted from clipboard when clipboard has both text and image and image sending was cancelled.

0.8 stable (26.03.15)

- Add a comment before forwarded messages.
- Hashtags suggestions in new message and search fields (based on recent searches).
- Button to jump back to a reply after viewing the original message.
- Add people to groups by username.

0.7.26 dev (26.03.15)

- Some bugfixes.

0.7.25 dev (25.03.15)

- Add people to groups by username.
- Copy @username from profile context menu.

0.7.24 dev (24.03.15)

- Forward messages with comment or sticker before them.
- Recent hashtags autocomplete in message and search fields.
- Move from reply to original message and back.

0.7.23 stable (20.03.15)

- Reply to specific messages in groups.
- Mention @usernames in groups to notify multiple users.

0.7.22 dev (20.03.15)

- Critical bug in messages delivery fixed.

0.7.21 dev (19.03.15)

- Reply to specific messages in groups.
- Mention @usernames in groups to notify multiple users.

0.7.20 stable (13.03.15)

- Lock your app with a passcode.

0.7.19 dev (03.03.15)

- Passcode lock option added to Settings.

0.7.18 dev (20.02.15)

- Windows: crash on start fixed for some Intel cards.
- Linux: tray icon returned in Pantheon and Gnome.

0.7.17 stable (19.02.15)

- Some minor improvements.
- Windows: crash on app launch fixed for some Intel graphic cards.

0.7.16 stable (17.02.15)

- Some translations improvements.
- Linux: tray icon should work better in non-Unity environments.

0.7.15 dev (16.02.15)

- Some translation keys added.
- Linux: fixed semibold font.
- Linux: tray icon should work better in non-Unity environments.

0.7.14 dev (12.02.15)

- Moved to Qt 5.4.0 version, please check everything.
- Time values should be displayed like in your system.
- Linux: fixed keyboard shortcuts when not english keyboard layout.

0.7.13 stable (10.02.15)

- You can now change the chat background.

0.7.12 dev (06.02.15)

- Chat background settings translated.
- Mac OS X and Linux autoupdate for dev-version fixed.

0.7.11 dev (05.02.15)

- Chat background can be changed.
- First dev-channel version.

0.7.10 (29.01.15)

- Online updated only while current window is active.

0.7.9 (23.01.15)

- Added Korean language.
- Quick «open with» menu on Windows and OSX.

0.7.8 (19.01.15)

- Some graphics changed.
- Windows: when activating window by click selection is not cleared.
- Linux: tray icon and unity launcher counter support improved.

0.7.7 (16.01.15)

- Windows: system sleep / hibernation fixed when app is running.
- Mac OS X: crashes on OS X 10.7 and 10.8 fixed.
- Linux: tray icon support and unity launcher counter for unread messages added in Ubuntu.

0.7.6 (06.01.15)

- Some improvements for stickers.
- Some translation improvements.

0.7.5 (03.01.15)

- Stickers support.
- Local caching for voice messages.
- Added Portuguese language.

0.7.4 (23.12.14)

- German and Dutch languages added.

0.7.3 (21.12.14)

- Italian and Spanish languages added.

0.7.2 (16.12.14)

- Title buttons bug fixed in single column layout.

0.7.1 (16.12.14)

- Linux: font for Korean characters added.
- Various bugs fixed.

0.7 (16.12.14)

- Improved single column navigation.
- Improved image viewer for large documents.

0.6.21 (13.12.14)

- Crash fixed for contacts without names.

0.6.20 (13.12.14)

- Crash fixed in single column layout.

0.6.19 (13.12.14)

- Some bugs fixed.

0.6.18 (12.12.14)

- Single-column layout support added for small chat window.
- Photos are sent up to 1280x1280 size.
- New device login notification added.
- New version notification added.

0.6.17 (08.12.14)

- Filter in contacts lists (contacts, new group, add member) now is case-insensitive.
- Win: telegram.me/username links handling fixed.

0.6.16 (05.12.14)

- telegram.me/username links supported.
- Downloaded documents local cache added.
- Some network improvements.

0.6.15 (26.11.14)

- Intro and login were slightly redesigned.
- Some various bug fixes.

0.6.14 (24.11.14)

- Work over HTTP crashing fixed.

0.6.13 (24.11.14)

- Application icon changed.
- Vimeo video links shown with preview.
- Some iOS emojis display fixed.
- Windows version crash when notification clicked fixed.

0.6.12 (22.11.14)

- Message drafts are saved.
- Local photos cache added.
- Shared contacts display and youtube links preview fixed.

0.6.11 (18.11.14)

- Some minor fixes.

0.6.10 (18.11.14)

- Portrait oriented photos display fixed.
- Photo thumbs size decreased in conversations.
- OS X: tray icon fixed in dark status bar theme.
- OS X: main menu added.

0.6.9 (15.11.14)

- Some network problems fixed.

0.6.8 (13.11.14)

- YouTube and Instagram links are displayed with preview.
- Location messages are displayed as a map with a link.
- OS X: .dmg setup image now has a design.
- OS X: updating after notebook wakeup fixed.

0.6.7 (05.11.14)

- Long texts are now split to several messages.
- Some network improvements.

0.6.6 (29.10.14)

- Some network improvements.
- Upload and download speed increased.

0.6.5 (22.10.14)

- Username support added.

0.6.4 (17.10.14)

- Photoviewer redesigned.
- Default recent emojis filled.
- Linux photo and document save from photoviewer fixed.

0.6.3 (10.10.14)

- Inline animated GIF documents view.
- Crash in forward from search results fixed.

0.6.2 (07.10.14)

- Some documents (PNG and JPG) are opened in app photo viewer.
- Photo and document viewer supports Ctrl + / Ctrl - / Ctrl 0 zoom hotkeys and image dragging.

0.6.1 (30.09.14)

- Windows only: fixed context menus.
- OS X only: fixed crash with disabled tray icon.

0.6 (30.09.14)

- Photo loading indicator added.
- Custom context menus added, including tray menu in Windows.
- Default download folder to "Downloads/Telegram Desktop".
- Improved OS X tray icon view and behaviour.

0.5.21 (21.09.14)

- Loading photos blurred in photos overview.
- Full voice message duration displayed when playing.
- Multimonitor photo view fixed.

0.5.20 (20.09.14)

- Loading photos blurred.
- Default emoji images used.
- OS X tray icon support added.
- Windows version is now digitally signed.

0.5.19 (05.09.14)

- Long voice message playing fix.

0.5.18 (05.09.14)

- Voice messages auto download and in-app playing support.
- Audio now is working through OpenAL library.
- Linux version now is not dependent on libpulse.

0.5.17 (21.08.14)

- Multi selection added to media overview.
- Photos in overview are displayed in right order now.
- Some crashes fixed.

0.5.16 (15.08.14)

- Navigate through photos fixed.
- Media overview in profiles (photos, video files, documents, voice messages).
- Going to current message in history from media overview context menu.
- Some protocol+network bugs fixed.
- OS X application signed by Developer ID certificate.

0.5.15 (12.08.14)

- Fixes in new photo viewer.

0.5.14 (11.08.14)

- New photo viewer, fullscreen, with controls and moving through conversation photos.
- Checkbox for sending images from clipboard without compression as documents.

0.5.13 (02.08.14)

- Some network and protocol issues fixed.

0.5.12 (30.07.14)

- Fixed diacritics input in Linux.
- Fixed saving files with incorrect server-side filenames in Windows.

0.5.11 (26.07.14)

- High definition graphics added (2x interface scale and OS X retina displays).
- Some invalid links highlighting removed.

0.5.10 (24.07.14)

- Escape key closes photo view.
- On OS X now Ctrl+Tab and Ctrl+Shift+Tab are working for dialogs switching.
- On Linux fixed notifies (they don't grab focus and aren't seen in windows switcher), fixed keyboard layout change.
- On Linux all application data is now stored in ~/.TelegramDesktop directory.

0.5.9 (18.07.14)

- Choose between notification with preview, with only sender's name (message preview hidden) or without any information.
- Sending documents from "Send to" explorer context menu added, see a checkbox in Settings (only Windows version).
- Little features: Ctrl+Tab / Ctrl+Shift+Tab switch to near dialogs, links without top-level domain highlight, version in About dialog now leads to version history.
- Some bugs fixed: maximize button in Ubuntu, running different copies of app under different users at the same time in Windows, Surface touchscreen support fixed.
- Added 32 bit Ubuntu version.

0.5.8 (16.07.14)

- Fixed crash at contact message history clear.
- Ubuntu 12.04 is supported now.
- Added hashtag highlight and messages search by hashtags.

0.5.7 (15.07.14)

- All platforms are updated up to one version and code (Windows, OS X, Ubuntu).
- Fixed crash at document open on OS X.
- Message search results shown below the filtered dialogs when searching.

0.5.6 (04.07.14)

- Windows test version (no autoupdate) with server-side messages search.
- First version of Ubuntu tdesktop build released.

0.5.5 (25.06.14)

- First version of OS X tdesktop build released.

0.5.4 (17.06.14)

- Font changed to Open Sans.

0.5.3 (13.06.14)

- Taskbar icon hide fixed (once again!), sorry :(.

0.5.2 (12.06.14)

- Two crashes fixed.
- Ellipsis text overflow display fixed in dialogs list.

0.5.1 (01.06.14)

- Fixed audio notifications.
- Fixed taskbar icon hiding.
- source code: ./_qt_5_3_0_patch/ updated, Qt 5.3 rebuild required.

0.5.0 (30.05.14)

- Application source code is published on GitHub under GPL v3

0.4.18 (28.05.14)

- Crash in other users profile fixed.

0.4.17 (28.05.14)

- Desktop notifications bug fixed.

0.4.16 (28.05.14)

- Desktop and sound notifications one second delay added.
- Chat and contact notifications settings cloud-stored and synced, loaded from server.
- Mobile sign up skip added, you can join from desktop now.

0.4.15 (29.04.14)

- Default tcp and http connection types merged to one.
- Using tcp connection by default, using http-transport if plain tcp is unavailable.
- Files less than 10mb are md5-signed now.

0.4.14 (19.04.14)

- Documents and files up to 1500 Mb can be sent now.
- Some lang phrases are fixed.
- Memory leak fixed in file upload.

0.4.13 (16.04.14)

- Critical auth-storing bug fixed (auto-logout on app relaunch in some cases).

0.4.12 (16.04.14)

- Window shadow and resize area now scale with the rest of the interface.
- Multiple delete and forward buttons and scale select design improved.
- Portable version (the same Telegram.exe, actually) .zip archive added here.

0.4.11 (09.04.14)

- Emoji smiles support in message field added.
- Hover-button for emoji tab showing added to the left from Send button.

0.4.10 (31.03.14)

- Some texts fixes and autoupdate check.

0.4.9 (31.03.14)

- High dpi support added, in settings: 1x, 1.25x, 1.5x, 2x interface scale.

0.4.8 (25.03.14)

- No changes, just autoupdate testing version.

0.4.7 (25.03.14)

- One more critical autoupdate bug fixed, users with not latin symbols in their Windows login names will have to install this version manually by setup executable.
- Autoupdate behind authentication-requiring proxy network settings fixed.

0.4.6 (22.03.14)

- Critical autoupdate bug fixed, users with not latin (utf) symbols in their Windows login names will have to install this version manually by setup executable.
- Voice messages extension changed from .mp3 to .ogg, because they are in OGG container, with Opus audio codec.

0.4.5 (22.03.14)

- Connection bug fixed.

0.4.4 (22.03.14)

- Fixed voice mail attach download, it works like video and documents now.
- After video, audio or document download Download button becomes Open With instead of Save As.

0.4.3 (16.03.14)

- Default download path introduced, no folder select for each video, audio or other file.
- You can choose old approach (choose download path for each file) in Settings.
- In downloaded video, audio and file context menu (right-click) added "Show in Folder" option.

0.4.2 (14.03.14)

- Network bug fixed, file upload on weak connections should be better now.
- Selected items clear after message forward fixed.
- Suggested filename fixed in save file dialog box.

0.4.1 (11.03.14)

- Auto-update critical WinXP bug fixed.
- You should install this version manually, if app was broken on WinXP.

0.4 (10.03.14)

- Better touch-screen support (tested on Surface Pro 2).
- Moved to new versions of ide+compiler and of some libs.

0.3.13 (07.03.14)

- Crash on right mouse button press fixed.

0.3.12 (07.03.14)

- Text and messages selection.
- Copy selected to clipboard (Ctrl+C and from context menu).
- Multiple message forward and delete support.

0.3.11 (04.03.14)

- Long phone numbers enabled (12 digits after country code).

0.3.10 (02.03.14)

- Bad reconnect delay bug fixed.

0.3.9 (27.02.14)

- Some scroll bugs fixed.
- Message forward confirm by Enter added.

0.3.8 (26.02.14)

- Dropdown with two attach types added, File (document) or Photo.
- Different drag-n-drop zones done for photo and document sending.
- File dialog open speed increased in some cases.

0.3.7 (24.02.14)

- New text layout used in messages, rtl/bidi support done.
- Emoji auto replace in message text added (replace list in settings).
- Clickable user links added to service messages (smbd invited smbd to group, etc).

0.3.6 (23.02.14)

- New text layout testing.
- Email highlight in messages and click response fixed.

0.3.5 (20.02.14)

- Reconnect timeout added, must work better after sleep mode.
- Minor design improvements and layout fixes.

0.3.4 (13.02.14)

- New design fully implemented.

0.3.3 (12.02.14)

- Test version of new design implementation.

0.3.2 (11.02.14)

- First (private) version of new design implementation.

0.3.1 (26.01.14)

- Rare protocol bug (with incorrect system time handle) fixed.

0.3.0 (26.01.14)

- Long links tooltips added.
- Intro and settings animation improved.
- Bug fixes (protocol, group creation, etc).

0.2.9 (12.01.14)

- Minor bug fixes.

0.2.8 (12.01.14)

- Differenct connection type supported (http-transport support added).
- Connecting with system and custom proxy settings supported (http and socks5 proxy support added).

0.2.7 (07.01.14)

- Window resize areas are now positioned outside the window area, so they are wider and do not conflict with message history scrollbar.
- Some bugs fixed, one connection problem solved.

0.2.6 (06.01.14)

- Document sharing supported, downloading and uploading up to 100 mb files.
- Download videos, that were sent from mobile apps, as documents.

0.2.5 (30.12.13)

- Group photo upload fixed for some photo sizes.

0.2.4 (30.12.13)

- Delete history and Delete contact buttons in contacts, Delete and exit button in groups.
- Adding and removing group participants supported.
- New group creation supported.

0.2.3 (20.12.13)

- Couple of crashing bugs fixed.

0.2.2 (20.12.13)

- User and group profile pages now available, click photo or name in window title area.
- Group name and photo change support from group profile page.
- Group participants list with last activity time and online status displayed on group profile page.
- Adding users to your contact list and editing their contact names from user profile page.
- Contact sharing supported from user profile page.

0.2.1 (16.12.13)

- User name and profile photo update in settings.

0.2 (11.12.13)

- Auto-update support.
- Setup no longer requires admin rights (except first installation over a previous version, that was installed using admin rights).
- Application window retains screen position upon relaunch.

0.1.16 (29.11.13)

- Added «Delete Message» and «Forward Message» items to context menus.
- No PUSH-notifications are sent to your mobile phone from the currently active Telegram Win conversation.
- Fixed issue with broken long links in messages copied to clipboard.
